#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(scmi_protocol_register, "_gpl", "");
KSYMTAB_FUNC(scmi_protocol_unregister, "_gpl", "");

SYMBOL_CRC(scmi_protocol_register, 0xb67aa435, "_gpl");
SYMBOL_CRC(scmi_protocol_unregister, 0x3f6c13c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x1185d38f, "debugfs_create_str" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf1ef028c, "mbox_send_message" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe684dc2f, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x914512ba, "devres_release_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xeb5bc140, "bus_unregister_notifier" },
	{ 0x67ee8729, "devres_close_group" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x243299eb, "devm_kmalloc" },
	{ 0xc0a598dc, "of_node_put" },
	{ 0x33fda33f, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe2c1f20a, "platform_driver_unregister" },
	{ 0x92460f53, "mbox_free_channel" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe381da7b, "of_address_to_resource" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x6d467b08, "arm_smccc_1_1_get_conduit" },
	{ 0x5e0bb8ef, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x20b8a0f8, "devm_ioremap" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfb42ef5, "scmi_bus_type" },
	{ 0x9cb13c2e, "of_node_get" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x5b3b32ac, "of_get_next_available_child" },
	{ 0x67ee43b6, "scmi_device_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x67704a14, "devres_add" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4f5d7dd3, "devres_release" },
	{ 0x3596156, "bus_register_notifier" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xbba7233, "module_put" },
	{ 0xdd0af0c0, "devm_bitmap_zalloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0x743fcc1d, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x96296242, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xd025907d, "debugfs_create_bool" },
	{ 0x3efcbb60, "__of_parse_phandle_with_args" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1166f0b3, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe16a5b94, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x812ae1d2, "__devres_alloc_node" },
	{ 0x44637eec, "mbox_client_txdone" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8acab6ae, "devres_open_group" },
	{ 0xb5d2e5d5, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xe18ae451, "mbox_request_channel" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d892220, "bpf_trace_run9" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x513509b8, "debugfs_create_u32" },
	{ 0x6c348fda, "scmi_requested_devices_nh" },
	{ 0x8fce88ef, "__platform_driver_register" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0xe2db094e, "of_device_is_compatible" },
	{ 0xa0b657e6, "scmi_device_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc9999a14, "of_irq_get_byname" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3d93c7c2, "__arm_smccc_sve_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3bfcc17, "of_count_phandle_with_args" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xc9e6e500, "__devm_add_action" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xae954fb2, "of_device_get_match_data" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc9818d41, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "scmi-core");

MODULE_ALIAS("of:N*T*Carm,scmi");
MODULE_ALIAS("of:N*T*Carm,scmiC*");
MODULE_ALIAS("of:N*T*Carm,scmi-smc");
MODULE_ALIAS("of:N*T*Carm,scmi-smcC*");
MODULE_ALIAS("of:N*T*Carm,scmi-smc-param");
MODULE_ALIAS("of:N*T*Carm,scmi-smc-paramC*");

MODULE_INFO(srcversion, "00CEBED2CE2EC5D4E3B7E82");
