#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x7c9e040b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x4d94324f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xcf19a546, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xb373260f, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x10fb6a4b, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xe60aceb0, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xc0acab82, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x8dd7dcf4, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x4fe8338c, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x6ba199ae, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x3849e30f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x4a0c5b23, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x94c3d350, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x61994bde, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x9bc82280, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x1533a185, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5e453eb7, "vmf_insert_pfn" },
	{ 0xe33f7fa6, "ww_mutex_lock_interruptible" },
	{ 0xcf0840c1, "drm_gem_get_pages" },
	{ 0x994da12b, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfeb9bb46, "invalidate_mapping_pages" },
	{ 0x8eda98f0, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3b00e5eb, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x123f85df, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xf80dfe52, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc5275775, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2c05d07, "drm_gem_object_init" },
	{ 0xc0322124, "dev_driver_string" },
	{ 0x24b1ab12, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa94fb4ef, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9206b8d7, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd7f06ec9, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x723a4671, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29e43848, "vmap" },
	{ 0xb7e95bb6, "drm_gem_handle_create" },
	{ 0xc9fbae10, "__drm_dev_dbg" },
	{ 0xa8a30ea2, "drm_prime_pages_to_sg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcbdbd33, "dma_buf_vunmap" },
	{ 0xcd61b286, "shmem_truncate_range" },
	{ 0x28779e52, "drm_printf" },
	{ 0x5c9c1bb, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9a6f786a, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5db4ea8d, "dma_unmap_sg_attrs" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xba51f5ea, "drm_gem_put_pages" },
	{ 0x425888ef, "drm_gem_private_object_fini" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x6cb718ab, "drm_prime_gem_destroy" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
