#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xb9f804c2, "");
SYMBOL_CRC(drm_gem_vram_put, 0x0064e0da, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xd0beb46c, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x8c4d2bdc, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x45dbfb5b, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x0c7ce0a7, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xe2671616, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x0eb9170f, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x5900e1e6, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x6f74a4a0, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x69957b1a, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x902284ef, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x385430f4, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xab6a1878, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x486cb1a0, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x20aec90d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe550b611, "ttm_range_man_init_nocheck" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe33f7fa6, "ww_mutex_lock_interruptible" },
	{ 0xb684e80a, "ttm_resource_manager_debug" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8eda98f0, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xda0ffe7f, "ttm_range_man_fini_nocheck" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2c05d07, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8ba9f15, "ttm_bo_pin" },
	{ 0xc0322124, "dev_driver_string" },
	{ 0xdfc4154, "drm_gem_ttm_mmap" },
	{ 0x9885887b, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7bbd9056, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xd7f06ec9, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x94a43f7b, "ttm_tt_init" },
	{ 0xb7e95bb6, "drm_gem_handle_create" },
	{ 0xff6b1e14, "drm_gem_fb_get_obj" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xfa008d0, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xe5222434, "drm_debugfs_add_files" },
	{ 0x32b89c38, "ttm_bo_init_validate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd9321e1d, "ttm_device_init" },
	{ 0x71183493, "ttm_bo_validate" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1a27fcc, "ttm_bo_move_to_lru_tail" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xf5a0c79c, "ttm_bo_vmap" },
	{ 0x9f0c89df, "ttm_bo_put" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x949a178, "ttm_resource_free" },
	{ 0xb2fd594, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x24f6371e, "ttm_tt_fini" },
	{ 0xe292b07a, "ttm_device_fini" },
	{ 0x2a1ce62d, "drm_gem_plane_helper_prepare_fb" },
	{ 0xaf07a341, "ttm_bo_eviction_valuable" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xfc940909, "drm_gem_ttm_print_info" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
