#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x7ffc7c01, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xd86d5fd6, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xdfb6ef95, "");
SYMBOL_CRC(rdma_res_to_id, 0xa9ea172f, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x1bff950d, "");
SYMBOL_CRC(rdma_create_user_id, 0xa5bd4827, "");
SYMBOL_CRC(rdma_create_qp, 0xf4890f60, "");
SYMBOL_CRC(rdma_destroy_qp, 0x60e5af6c, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x80a883eb, "");
SYMBOL_CRC(rdma_destroy_id, 0x0ef68cc8, "");
SYMBOL_CRC(rdma_get_service_id, 0x4045ba69, "");
SYMBOL_CRC(rdma_read_gids, 0xd27467de, "");
SYMBOL_CRC(rdma_set_service_type, 0x365544c0, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xaf348f48, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xb4110f4f, "");
SYMBOL_CRC(rdma_set_ib_path, 0x32cc9c75, "");
SYMBOL_CRC(rdma_resolve_route, 0xbad09cdc, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x0c7b61d6, "");
SYMBOL_CRC(rdma_set_afonly, 0xbb26bce2, "");
SYMBOL_CRC(rdma_listen, 0x50b69c63, "");
SYMBOL_CRC(rdma_resolve_addr, 0xcd832d84, "");
SYMBOL_CRC(rdma_bind_addr, 0x74977d93, "");
SYMBOL_CRC(rdma_connect_locked, 0x782d2296, "");
SYMBOL_CRC(rdma_connect, 0xaae4e574, "");
SYMBOL_CRC(rdma_connect_ece, 0x4fb122eb, "");
SYMBOL_CRC(rdma_accept, 0x867d0c48, "");
SYMBOL_CRC(rdma_accept_ece, 0x6860a3dc, "");
SYMBOL_CRC(rdma_lock_handler, 0xd0d87983, "");
SYMBOL_CRC(rdma_unlock_handler, 0xee4fd490, "");
SYMBOL_CRC(rdma_notify, 0x8eb996c8, "");
SYMBOL_CRC(rdma_reject, 0x44f87e9d, "");
SYMBOL_CRC(rdma_disconnect, 0x48d99827, "");
SYMBOL_CRC(rdma_join_multicast, 0x5c713756, "");
SYMBOL_CRC(rdma_leave_multicast, 0x40743e71, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69ba38c7, "ib_send_cm_sidr_req" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1e0691d7, "iw_create_cm_id" },
	{ 0x660caaca, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd27ab285, "ib_unregister_client" },
	{ 0x2e45b341, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x652634d2, "ib_send_cm_sidr_rep" },
	{ 0x3227e705, "bpf_trace_run4" },
	{ 0x2616caef, "config_group_init" },
	{ 0xe5b90bdd, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc797826e, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xc254ed51, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8590c3b, "rdma_query_gid" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd5e648b4, "rt6_lookup" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5cc9640f, "rdma_translate_ip" },
	{ 0xd20ed9ac, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd7c221ed, "rdma_dev_access_netns" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd5c9510, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe91b1955, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x45cab101, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0xe25be4fa, "ip_mc_inc_group" },
	{ 0x6abe564f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x7f4544a5, "ib_find_cached_pkey" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2950c15b, "iw_cm_connect" },
	{ 0xf00d428f, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3406b214, "rdma_addr_cancel" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6d57ae2, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x1445af89, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x7a4c559d, "ib_register_client" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x9317e966, "ib_sa_path_rec_get" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc4375efb, "ib_create_cm_id" },
	{ 0x9a97c1e9, "__ip_mc_dec_group" },
	{ 0x62fa838f, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0x5562a2d, "ib_init_ah_from_mcmember" },
	{ 0x7755e58c, "rdma_destroy_ah_attr" },
	{ 0xa47ddf57, "ib_set_client_data" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0x1babab38, "ib_get_cached_pkey" },
	{ 0x78b77069, "configfs_register_subsystem" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xca1e7e81, "configfs_remove_default_groups" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1e29c4b4, "rdma_put_gid_attr" },
	{ 0x8e185ad0, "config_group_init_type_name" },
	{ 0x69998e41, "dev_get_by_index" },
	{ 0xa9e85c73, "iw_destroy_cm_id" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe13ec167, "ib_send_cm_rep" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x583c5a9b, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xd26a89f5, "bpf_trace_run1" },
	{ 0x96655263, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x1900709e, "ib_cm_init_qp_attr" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x963eb407, "ib_send_cm_drep" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf1f9f82e, "rdma_restrack_set_name" },
	{ 0xb9ff6f6f, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x636e888c, "ib_get_cached_port_state" },
	{ 0x38b2d58, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf8cd7ac8, "rdma_restrack_del" },
	{ 0x6060bfc0, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{  0x62b38, "bpf_trace_run3" },
	{ 0xf873b2b0, "__put_net" },
	{ 0x73528930, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3e5e9b02, "iw_cm_accept" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1cdd4c9c, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xb881b60c, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xaa03c26, "iw_cm_init_qp_attr" },
	{ 0x7aab94cf, "dst_release" },
	{ 0x2e889710, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb5ca4a93, "ib_send_cm_dreq" },
	{ 0xaa64737a, "ib_send_cm_req" },
	{ 0x10ad66b0, "ib_create_qp_kernel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x725a6ab8, "ib_sa_join_multicast" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa209cc08, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ddf237, "rdma_get_gid_attr" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x427094c6, "rdma_restrack_new" },
	{ 0x2c9749c5, "__fib_lookup" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc026da50, "iw_cm_listen" },
	{ 0xb50ee723, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2ddbc62, "rdma_copy_src_l2_addr" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x78afaf61, "rdma_resolve_ip" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "3FA75D30E04992D116E2E22");
