#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x1c0b8259, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x175203b3, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x09f25f8b, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x03e9daab, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x99af4fec, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x662e94f8, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xace9a0be, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xd3921580, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x6c440372, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xca976810, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x28e5036c, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x32ed796e, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xeb7a980a, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xd130fe4e, "_gpl");
SYMBOL_CRC(mtd_erase, 0x5559eadd, "_gpl");
SYMBOL_CRC(mtd_point, 0x8deedbe7, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xbb0b6ec5, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x5547dff7, "_gpl");
SYMBOL_CRC(mtd_read, 0xec86c84b, "_gpl");
SYMBOL_CRC(mtd_write, 0x1457fc0b, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x6e6cf2c6, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x77461a74, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x943ff405, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xd2c0ecef, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xe343a21a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xd579b2ee, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xc4fc0f01, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xdd79aaa7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x00668877, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x19536489, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x1eb4ca1b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xa3e9ef9f, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x7a69beec, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xf50b4bb7, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x44797e45, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x8bbc3950, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x1871f69d, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x82c5b749, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xea10cb0a, "_gpl");
SYMBOL_CRC(mtd_lock, 0xb04e4997, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x769e1deb, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x5fa836d0, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xd0876737, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x9fe30ecd, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x3d5453cc, "_gpl");
SYMBOL_CRC(mtd_writev, 0xfc26b6ce, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x33481372, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xe0439697, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x54ea1253, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x1cd310a9, "");
SYMBOL_CRC(mtd_concat_destroy, 0xbc6f637f, "");
SYMBOL_CRC(mtd_add_partition, 0x9ae38d3b, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x7dabad44, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x8996d081, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xdba90d7e, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xcebc1f54, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c0caa, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe684dc2f, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc0a598dc, "of_node_put" },
	{ 0xc84c0e0, "sget_dev" },
	{ 0x293ddd1d, "bdi_unregister" },
	{ 0xc8d1fba1, "dev_set_name" },
	{ 0x5e4b980, "of_get_compatible_child" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x90f9c3b5, "bdi_register" },
	{ 0xf17d4a9e, "of_node_name_prefix" },
	{ 0xca0eb067, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9cb13c2e, "of_node_get" },
	{ 0x3adb704a, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xee36f252, "sysfs_remove_files" },
	{ 0xbe71ae87, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa8140508, "bdi_put" },
	{ 0x4d1fc67f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9d8a21a6, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbba7233, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfaf711b4, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd025907d, "debugfs_create_bool" },
	{ 0xeac76841, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe75ab41d, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe16a5b94, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6d55ef2a, "fixed_size_llseek" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb5d2e5d5, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf18f0cd7, "of_find_property" },
	{ 0x1674ef0d, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc7da985b, "bdi_alloc" },
	{ 0xf2281b1b, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe2db094e, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdb3add30, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcf3bc2ef, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd53fd370, "remove_proc_entry" },
	{ 0x31d6b975, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x699076cc, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x8d5fafbd, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x80d35856, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x5812acd9, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x20a9c921, "dev_err_probe" },
	{ 0x3a0ff03, "proc_create_single_data" },
	{ 0xcff0ad57, "nvmem_register" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba998cf7, "of_platform_populate" },
	{ 0x8b3c9f46, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
