#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x5a945afc, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x8f6be165, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xa36fcec3, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x37d85d7e, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x14e9bf1c, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x7defe4f7, "");
SYMBOL_CRC(mlx5_cmd_check, 0xcb99568d, "");
SYMBOL_CRC(mlx5_cmd_do, 0x7317b8ab, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x3822ebbf, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x7c07ce9a, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x277a8d4f, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x0cb3100d, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x10e5fbe3, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xab4f3f1c, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x70498fd5, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x6cef7f29, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x8f109768, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xcc14e0eb, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x485e9ca9, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xc15bd27a, "");
SYMBOL_CRC(mlx5_eq_enable, 0x71fcc944, "");
SYMBOL_CRC(mlx5_eq_disable, 0xe4db081b, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xf8177afc, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xd3e9b959, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x3e812b9b, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x28e17620, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xfcc18311, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x8dc801d8, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x8521b814, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xf8090da8, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xf2db5a6f, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x067cb573, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x72ce27c6, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x26117083, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x8f4f6544, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x1cfadf05, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x6394017c, "");
SYMBOL_CRC(mlx5_create_cq, 0xcbbe1590, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x2dc97217, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x8a21907e, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xc98828d1, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xdc29865d, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x9ecf7397, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x205bfc66, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xfdbad970, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xdb790d65, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x205c6149, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x14b8ab5c, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x97b65704, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xd7406b26, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x2ef2bb84, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x7d3d1f76, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xf555d6ba, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x98f958c0, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x35bee237, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x7e50ec46, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xd6934394, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x51e637ea, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xb6f28f7d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x62299170, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x15bebeaf, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xda6f6a0a, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x79199e08, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x01b171a2, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x887b39ba, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xce20f678, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xe81ce2c9, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x2978f3fb, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x0db7fcc3, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xc73928e1, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xb2986ed1, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xc13be622, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x21378669, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xeae296c0, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xc2bdbbcf, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xb010828f, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xec5bddf3, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x05efe7a8, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x25baeba9, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x8384c8d9, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xe6609986, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x57eb771c, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x1fa196f8, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xad74e646, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x8baedd6e, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xfd5f4324, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x0451d70b, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xc5ec5fb6, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x757c6731, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x77bb3a38, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x06968a02, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xff1a2bc2, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x26c529b4, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x359eddb4, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x9966a24f, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xfefd278f, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x10085196, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x25293578, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x9fbff4b8, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xc984df59, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x4ee8bce5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x73b63efe, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xa786ee07, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xd21633ca, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x77eb35f2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xc5538aaf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x97b4672b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x65e7ce8b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x0ea3ef0f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x7082336b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xb02307ba, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x1be0f10d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x2bc96f85, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xe951c8b4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xb23a7416, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x5abceac2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xa52500b0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x227d4bc9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xf98905ee, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x4eab6efe, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x02ea631f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xade1243b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x22e39d49, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xb0361180, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x9db5cd5d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x81050cd5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x02a18736, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x7a83eb60, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xb8be54e4, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x0238fd99, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xb79abb7c, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x86950e76, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd6998663, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xb2823b91, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x8f06a941, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xc4ec7728, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x6ed84142, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x1b032834, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xbe6dc365, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x37e415d5, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x6fc1b39f, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xb7a4d356, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x07148a01, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x7a558072, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xf72ccaba, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x2e33d619, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x817f4dd3, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xbf564f0f, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x46cbe40d, "");
SYMBOL_CRC(mlx5_msix_free, 0x6546c433, "");
SYMBOL_CRC(mlx5_fc_create, 0x9aa97b89, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x38d0a97c, "");
SYMBOL_CRC(mlx5_fc_query, 0xacefc0c8, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x2b7c485f, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x26c3ebe0, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x88cb0f17, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x39718585, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x42182588, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x7a17b49f, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x77e39051, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xd4ed47b2, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xf8eac17c, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x4e591d69, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x2a7f0abb, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x44b9219a, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x4e7b8448, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x95333cdd, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x25cca4d2, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xe09e6a3e, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x55998471, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x7c4ff72c, "");
SYMBOL_CRC(mlx5_notifier_register, 0x9fdf130e, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x9ca80a72, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xe30f2b38, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x3db65f49, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x2702d3ff, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xc242fcbb, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x0ffade77, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xb0285ce3, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3f01d9fc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x1add289e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x7f2d2f80, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xe6479d42, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x15c92b73, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x6bca4c37, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xbb86e0de, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x0cdfd23c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x4de652f2, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x72dbdfd4, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x31566403, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x8222fc14, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xd8178e59, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xf6aad958, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x9d130796, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xae2d2bd9, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xe6057a08, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xd45e7c4a, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x1f8054f3, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xa41959a9, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xf3215ee6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xbd3c3d59, "__inet_lookup_established" },
	{ 0xbb204902, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x190ef464, "alloc_etherdev_mqs" },
	{ 0xe6173263, "secpath_set" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6b2fa7b6, "pci_save_state" },
	{ 0x7dab3cca, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa2282e95, "xp_alloc" },
	{ 0xd0d450da, "pcie_capability_read_word" },
	{ 0x9cbf3e4c, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x36fbbcd5, "bpf_prog_put" },
	{ 0x4b081a6b, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x77ee8af3, "pci_cfg_access_unlock" },
	{ 0x87de35a3, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x458be8f7, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4624507d, "skb_copy_bits" },
	{ 0x9ed9af8e, "dma_pool_create" },
	{ 0xdca3d00d, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x7e7bec14, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd90df63a, "pci_enable_device" },
	{ 0xf7458068, "skb_put" },
	{ 0x21a067f3, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6a9d457c, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x160abf7c, "auxiliary_device_init" },
	{ 0xa67e362e, "netdev_update_features" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x4c71e476, "pci_alloc_irq_vectors" },
	{ 0x44358c14, "netif_napi_add_weight" },
	{ 0xabc364b7, "pci_enable_atomic_ops_to_root" },
	{ 0x2d08648f, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd52be7dc, "dump_page" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xc72e5559, "xsk_clear_tx_need_wakeup" },
	{ 0x7157d422, "udp4_hwcsum" },
	{ 0xcbe03f6f, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x5c8a2729, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x85101afd, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x1aebf1d8, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x792c80d1, "dma_unmap_page_attrs" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x181a2d4f, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb3e7e79b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x82d33744, "dma_sync_single_for_device" },
	{ 0x8e817843, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9114c0d7, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x12d4e8bd, "skb_add_rx_frag" },
	{ 0xf274bee8, "xfrm_state_check_expire" },
	{ 0xde719025, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf36de3ed, "ptp_clock_index" },
	{ 0x5c5acea5, "pci_request_regions" },
	{ 0x6221a21e, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf87cc292, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x569c3d3f, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfbe2a1a8, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd27d12fb, "devlink_register" },
	{ 0xb03b0d4f, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xc7aefdbf, "seq_lseek" },
	{ 0xff1bf637, "page_pool_destroy" },
	{ 0x3c8ca8ca, "xdp_do_redirect" },
	{ 0x4a1dbb2e, "__put_devmap_managed_page_refs" },
	{ 0x84e613d3, "devlink_free" },
	{ 0x7faee2, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd20ed9ac, "bpf_trace_run2" },
	{ 0xbc807947, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd61ccdd8, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x74d28f6f, "pci_irq_vector" },
	{ 0x2591c826, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0xc0964ed4, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68199808, "sock_gen_put" },
	{ 0xfa349ef1, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xe0ae6753, "netdev_err" },
	{ 0x2ee97af5, "pci_cfg_access_lock" },
	{ 0xc8c28554, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc0322124, "dev_driver_string" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0x95e26896, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf6eab5bf, "ptp_find_pin" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0x96451fa8, "pci_read_config_dword" },
	{ 0x609156f7, "request_firmware_direct" },
	{ 0x163bb68f, "auxiliary_driver_unregister" },
	{ 0xa5dd23e3, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x5dab459d, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6d23ad3f, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9d8a21a6, "put_device" },
	{ 0xb1ca1490, "net_dim" },
	{ 0xea6ab341, "__napi_schedule" },
	{ 0xd8a0d408, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xaf99b711, "pcie_relaxed_ordering_enabled" },
	{ 0x233871be, "xsk_set_rx_need_wakeup" },
	{ 0x3ca4361f, "kmalloc_node_trace" },
	{ 0xc207cec, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xb0537a85, "__free_pages" },
	{ 0x83f39fd2, "kmem_cache_alloc" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xa73bed78, "napi_gro_receive" },
	{ 0xf3838603, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x5091c559, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2b9c614b, "xp_raw_get_dma" },
	{ 0xd16e9dc8, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xdd3f963b, "xdp_rxq_info_is_reg" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfa5c6420, "work_busy" },
	{ 0xb5b46561, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x95d47919, "devl_health_reporter_create" },
	{ 0x6ff67b28, "flow_block_cb_setup_simple" },
	{ 0x8d98d633, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x698f2e45, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x51be7c4e, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x169b859c, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x3fe0a224, "devlink_port_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x96296242, "_dev_err" },
	{ 0x7568bf6c, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x29352059, "softnet_data" },
	{ 0x382d61ca, "simple_open" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfc7e13e6, "bus_find_device" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0xf77561d1, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x6ee47921, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xa0ff514b, "xp_dma_sync_for_cpu_slow" },
	{ 0xcc12da89, "xsk_tx_peek_desc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x40daa9bf, "hwmon_device_register_with_info" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xd04453b4, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1c52a871, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xda4393e0, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd56b3a76, "irq_get_irq_data" },
	{ 0x4a32521d, "dev_remove_pack" },
	{ 0xc44d204a, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x69998e41, "dev_get_by_index" },
	{ 0x1166f0b3, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc418f9ad, "skb_store_bits" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5ef342f1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xf6a1c244, "kmem_cache_free" },
	{ 0x8bdf8437, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe16a5b94, "debugfs_remove" },
	{ 0xe0320f0a, "pci_read_config_word" },
	{ 0xb1c7bc59, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x99885250, "xsk_clear_rx_need_wakeup" },
	{ 0xc3aa3d36, "unregister_netdevice_notifier_net" },
	{ 0x7cb23496, "xsk_uses_need_wakeup" },
	{ 0xdaef0100, "register_netdev" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xe1690eaa, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xa79bdad9, "debugfs_create_size_t" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x85527479, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0x171c440e, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x364f1a4e, "pci_restore_state" },
	{ 0xd26a89f5, "bpf_trace_run1" },
	{ 0x6fbb5d00, "__inet6_lookup_established" },
	{ 0x58421c37, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xcd4d2f23, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x88160736, "dma_sync_single_for_cpu" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3a106e4c, "page_pool_create" },
	{ 0xcc84fc95, "skb_checksum" },
	{ 0xc49dea9b, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5b0531da, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2c199c1b, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xeb8e10d6, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x355133cf, "netif_schedule_queue" },
	{ 0x577b2ab3, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xb5d825ee, "pci_set_master" },
	{ 0x63bc4c0f, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x513509b8, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x642d3bf4, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x1f39e479, "devl_params_unregister" },
	{ 0x75bc449c, "ptp_clock_unregister" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x59313ce4, "xp_dma_unmap" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xd3afdf80, "devlink_trap_report" },
	{ 0xf852645d, "__neigh_event_send" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xf28134, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcc55f15a, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x8e83414, "devl_unlock" },
	{ 0xe9bf40d6, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6390cd91, "dma_set_coherent_mask" },
	{ 0xba3c43cd, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x51df79c5, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x4296eb23, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x8de8906b, "debugfs_create_file" },
	{ 0xb0954cf7, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x7d9e76b7, "xsk_set_tx_need_wakeup" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0xc6c894c0, "netdev_reset_tc" },
	{ 0x23959e56, "neigh_destroy" },
	{ 0xcc5e19d0, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x1e96e928, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7b0f653a, "current_work" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x842e8e66, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc1365192, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xde81b58d, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x33fccb0c, "devl_assert_locked" },
	{ 0xd94988a9, "pcie_print_link_status" },
	{ 0xef27559a, "xp_set_rxq_info" },
	{ 0x75b5397f, "alloc_pages" },
	{ 0xdf3af88b, "xdp_rxq_info_unreg" },
	{ 0x52a65297, "page_pool_alloc_pages" },
	{ 0x21e366c7, "devl_param_driverinit_value_get" },
	{ 0xbf5b4395, "napi_build_skb" },
	{ 0x136301a3, "netdev_master_upper_dev_get_rcu" },
	{ 0x23767e59, "__folio_put" },
	{ 0xd7c53c44, "__xdp_rxq_info_reg" },
	{ 0xd15aa01e, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5c57d178, "bpf_prog_inc" },
	{ 0xbdddd32f, "rhltable_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x17b7473, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab1a31ea, "netif_carrier_off" },
	{ 0x699076cc, "seq_printf" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x94e9f618, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x71f9fadc, "devlink_port_register_with_ops" },
	{ 0x9c56b411, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x291d1627, "netif_carrier_on" },
	{ 0xa1a776a5, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x4452087b, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc9636611, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x381c1ea5, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xe937922f, "xp_free" },
	{ 0xa172ec27, "page_pool_update_nid" },
	{ 0xdce07034, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x285085e, "dma_set_mask" },
	{ 0x185f1791, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x66529fc8, "netif_set_tso_max_size" },
	{ 0x3e1a0634, "__skb_flow_dissect" },
	{ 0xfc848010, "pci_msix_alloc_irq_at" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xe29e2ba4, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x3e41f474, "xp_raw_get_data" },
	{ 0xd1fe74dc, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xcfd9854a, "napi_schedule_prep" },
	{ 0xcf47009f, "qdisc_reset" },
	{ 0x7305bc53, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x623f4b84, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe25f9d6f, "napi_disable" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0x52e734b, "dcb_ieee_delapp" },
	{ 0x55a1916a, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaac341c8, "debugfs_create_u8" },
	{ 0x9498433, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x79cf7bf0, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x39f08b42, "pcie_bandwidth_available" },
	{ 0xff3a5a37, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x680fb708, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xb6a877a6, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xbf234b7c, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbfc266a7, "xsk_tx_release" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x6b390d8, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x35dbc8db, "pci_iov_get_pf_drvdata" },
	{ 0x3403fa0, "pci_write_config_dword" },
	{ 0x9393525a, "pci_bus_type" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x5c330e23, "netdev_info" },
	{ 0x3ac587e3, "neigh_lookup" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "tls,pci-hyperv-intf,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "BC8D503F49E33A03033B342");
