#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x1c14bac1, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0x6f3fa05d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe110821a, "dev_open" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8c8d2540, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4432002f, "dev_set_mtu" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9393525a, "pci_bus_type" },
	{ 0x5911a24e, "vlan_uses_dev" },
	{ 0xe0ae6753, "netdev_err" },
	{ 0x54fea934, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1d45339e, "vlan_vid_del" },
	{ 0x8379f672, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3d7c49c0, "dev_get_stats" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x74469140, "dev_uc_sync_multiple" },
	{ 0x8c2f718e, "dev_mc_sync_multiple" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5091c559, "netdev_pick_tx" },
	{ 0x190ef464, "alloc_etherdev_mqs" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0xdaef0100, "register_netdev" },
	{ 0xab1a31ea, "netif_carrier_off" },
	{ 0xb05d8031, "failover_register" },
	{ 0x96296242, "_dev_err" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0x85101afd, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc207cec, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f6acff0, "failover_slave_unregister" },
	{ 0xab6fc5bd, "failover_unregister" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7fd4b725, "netdev_lower_state_changed" },
	{ 0x291d1627, "netif_carrier_on" },
	{ 0x58421c37, "netif_tx_wake_queue" },
	{ 0xd046caa0, "netif_tx_stop_all_queues" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x59b71ea8, "dev_close" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd4604e9f, "vlan_vids_add_by_dev" },
	{ 0x80d4ef2a, "call_netdevice_notifiers" },
	{ 0x5c330e23, "netdev_info" },
	{ 0x2a8866d4, "dev_uc_unsync" },
	{ 0xb53a2cb1, "dev_mc_unsync" },
	{ 0x51d2710, "vlan_vids_del_by_dev" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0x878aef05, "netdev_core_stats_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x499bd6f9, "passthru_features_check" },
	{ 0x780b68e, "eth_validate_addr" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
