#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xd04c5bde, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x66369750, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x53f93472, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x14588746, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c330e23, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xb7645361, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x291d1627, "netif_carrier_on" },
	{ 0xab1a31ea, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12e5e082, "nla_put" },
	{ 0x39acbcb4, "from_kgid_munged" },
	{ 0x5ab2e311, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb4594fb2, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd046caa0, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0x586efe16, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0x8cf3dd3a, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf77561d1, "xdp_return_frame" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xb936cc00, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x23767e59, "__folio_put" },
	{ 0x4a1dbb2e, "__put_devmap_managed_page_refs" },
	{ 0xd52be7dc, "dump_page" },
	{ 0xa73bed78, "napi_gro_receive" },
	{ 0x5dab459d, "napi_complete_done" },
	{ 0xb1a7f025, "build_skb" },
	{ 0xf7458068, "skb_put" },
	{ 0x6e0c3154, "skb_set_owner_w" },
	{ 0x36fbbcd5, "bpf_prog_put" },
	{ 0xf5420a04, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x152bac27, "sock_init_data_uid" },
	{ 0x8f7095f6, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x561ad3e, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa9c1c394, "napi_get_frags" },
	{ 0x461e82da, "iov_iter_single_seg_count" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe25f9d6f, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdf3af88b, "xdp_rxq_info_unreg" },
	{ 0x2591c826, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbba7233, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1c52a871, "netif_set_real_num_tx_queues" },
	{ 0xc44d204a, "netif_set_real_num_rx_queues" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x77aed8d3, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x16741b74, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8b3d46a4, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3e1a0634, "__skb_flow_dissect" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xdd3f963b, "xdp_rxq_info_is_reg" },
	{ 0xd7c53c44, "__xdp_rxq_info_reg" },
	{ 0x95e26896, "xdp_rxq_info_reg_mem_model" },
	{ 0x44358c14, "netif_napi_add_weight" },
	{ 0xb1c7bc59, "napi_enable" },
	{ 0xe9721649, "lock_sock_nested" },
	{ 0x1e90b66e, "sk_attach_filter" },
	{ 0xe296badb, "release_sock" },
	{ 0x6c9d6b46, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x3b003d66, "alloc_netdev_mqs" },
	{ 0x97e5824f, "ip_tunnel_header_ops" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x58421c37, "netif_tx_wake_queue" },
	{ 0xa0f46c4e, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x878aef05, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x699076cc, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x384fbdbd, "skb_copy_datagram_iter" },
	{ 0xbf53df8d, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x2198b0b9, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe0ae6753, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x41abd441, "sock_recv_errqueue" },
	{ 0x2c8e2ca5, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x8b0d3023, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe1b94818, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x21a067f3, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x874004aa, "skb_copy_ubufs" },
	{ 0x36eeaff7, "__skb_get_hash_symmetric" },
	{ 0x6221a21e, "___pskb_trim" },
	{ 0x3c8ca8ca, "xdp_do_redirect" },
	{ 0x5c8a2729, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xd04453b4, "__traceiter_xdp_exception" },
	{ 0xd51860fe, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x1aebf1d8, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xbf8ab88c, "__page_frag_cache_drain" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0xe29e2ba4, "xdp_master_redirect" },
	{ 0x5aee95ae, "do_xdp_generic" },
	{ 0x4e1d1ce8, "skb_page_frag_refill" },
	{ 0x9ff931ef, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa55d05bb, "_copy_from_iter" },
	{ 0xa57c2e22, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2c08eedc, "skb_copy_datagram_from_iter" },
	{ 0xcfd9854a, "napi_schedule_prep" },
	{ 0xe8b107df, "sock_alloc_send_pskb" },
	{ 0x1c7b7c35, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xd16e9dc8, "eth_get_headlen" },
	{ 0x9a3f9993, "napi_gro_frags" },
	{ 0x5b990992, "iov_iter_revert" },
	{ 0xea6ab341, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc0ae6014, "dev_get_mac_address" },
	{ 0xe4f92a60, "get_net_ns" },
	{ 0xf40b4d86, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4aa93364, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xa67e362e, "netdev_update_features" },
	{ 0x49ce8280, "make_kgid" },
	{ 0xd3df5ec4, "make_kuid" },
	{ 0xd43bcefb, "init_user_ns" },
	{ 0x56a6ee62, "from_kuid" },
	{ 0x2776b505, "dev_set_mac_address_user" },
	{ 0x80d4ef2a, "call_netdevice_notifiers" },
	{ 0x76b84d9d, "from_kgid" },
	{ 0xbe71ae87, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0x6d3d0552, "ethtool_op_get_ts_info" },
	{ 0x499bd6f9, "passthru_features_check" },
	{ 0x2bfd9534, "eth_mac_addr" },
	{ 0x780b68e, "eth_validate_addr" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
