#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x4940404b, "_gpl");
SYMBOL_CRC(rndis_command, 0x1341b8ee, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x2dcf0d9e, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x26d166fa, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x9652315d, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x7aeaa292, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xd68b9983, "usb_control_msg" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdcb764ad, "memset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd49455f4, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96296242, "_dev_err" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xd6bd1f6c, "usbnet_generic_cdc_bind" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0xf693988e, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9bf40d6, "__dynamic_netdev_dbg" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xc3b02399, "skb_trim" },
	{ 0x54c5489f, "usbnet_cdc_zte_rx_fixup" },
	{ 0x50876a96, "skb_clone" },
	{ 0x54640f83, "usbnet_skb_return" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3b474c81, "skb_copy_expand" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0xc3f0454c, "usb_register_driver" },
	{ 0xafd0c1bc, "usb_deregister" },
	{ 0x57d03a9b, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x688f22aa, "usbnet_open" },
	{ 0x5eabf7e9, "usbnet_stop" },
	{ 0xcfe0cce1, "usbnet_start_xmit" },
	{ 0x2bfd9534, "eth_mac_addr" },
	{ 0x780b68e, "eth_validate_addr" },
	{ 0x54f5e1e9, "usbnet_tx_timeout" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0xa184b057, "usbnet_probe" },
	{ 0xc2607b75, "usbnet_disconnect" },
	{ 0xc472135c, "usbnet_suspend" },
	{ 0x116a0364, "usbnet_resume" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");
