#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xf5bf83fb, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x33c39c8e, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x304b7b7d, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x460f06f2, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x54640f83, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x701c20e6, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xb72330a2, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x894b8d80, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x7fb7ff84, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xb3888142, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xf1486d0b, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x3ad8473e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x5eabf7e9, "_gpl");
SYMBOL_CRC(usbnet_open, 0x688f22aa, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x7d1c94e1, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x15a73b43, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x7239b2f0, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x9a2409f2, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x1774ac58, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xd4e32995, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x22d43527, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x41936779, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x9b6b65b7, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x54f5e1e9, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xcfe0cce1, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xc2607b75, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xa184b057, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xc472135c, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x116a0364, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xb6660aad, "");
SYMBOL_CRC(usbnet_manage_power, 0xedb3d2a1, "");
SYMBOL_CRC(usbnet_link_change, 0xa21cd4b6, "");
SYMBOL_CRC(usbnet_read_cmd, 0xe4b7d162, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x4d2bb058, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x9215ea40, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xf51dd93c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xdbb732f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4fca3ad0, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc6eb866b, "usb_string" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe9bf40d6, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x561ad3e, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x66643f93, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x43c8160f, "usb_unlink_urb" },
	{ 0xbc1f4431, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x759a6212, "usb_submit_urb" },
	{ 0xe0ae6753, "netdev_err" },
	{ 0xd08b4d10, "mii_ethtool_get_link_ksettings" },
	{ 0x5f3ceda3, "mii_ethtool_set_link_ksettings" },
	{ 0xdebe07de, "mii_nway_restart" },
	{ 0xfeb2eeb1, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x85101afd, "unregister_netdev" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x9b2aa334, "usb_get_from_anchor" },
	{ 0x2f6c4e36, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0x5c330e23, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc207cec, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf3838603, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd68b9983, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x96398949, "usb_autopm_get_interface" },
	{ 0x289543e1, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe621fa2e, "usb_alloc_urb" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xd83ce3c, "mii_link_ok" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0xab1a31ea, "netif_carrier_off" },
	{ 0x291d1627, "netif_carrier_on" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x190ef464, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdaef0100, "register_netdev" },
	{ 0x59645ab3, "pm_runtime_enable" },
	{ 0x4d19a59d, "usb_check_bulk_endpoints" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb1e7b1fa, "skb_defer_rx_timestamp" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x8b0d3023, "skb_clone_tx_timestamp" },
	{ 0x6025f8ef, "usb_autopm_get_interface_async" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x21a067f3, "skb_tstamp_tx" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0x3206d5bb, "usb_anchor_urb" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x58421c37, "netif_tx_wake_queue" },
	{ 0x47bbd3a7, "usb_autopm_get_interface_no_resume" },
	{ 0xf7458068, "skb_put" },
	{ 0x8358ff17, "usb_clear_halt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2bfd9534, "eth_mac_addr" },
	{ 0x780b68e, "eth_validate_addr" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0x6d3d0552, "ethtool_op_get_ts_info" },
	{ 0xb91c23bc, "param_ops_int" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3F03817D2B07AF3BF7E3393");
