#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xfd37edce, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x50546c23, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xa9ff801f, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x0b0218ab, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x30eb8cbc, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xe91ca718, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x89871900, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xe22f3d91, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xa04f2218, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xb55bcdc6, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xb1640e13, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x1bb6c26e, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xeb1a9f45, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x699c0a57, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x92bf01cb, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x2d8f1818, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x40dc88ed, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x79216d8a, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x098a0455, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x6952410d, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xf44ebdf9, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x05843ce2, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x54acebe6, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x7b416e67, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x04abef20, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x337e8ee9, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xeccc1568, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x1dd75803, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x101f9bb2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xabe9a2b2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x28aa1f89, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x8d1a2073, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x8da3008a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x6bffd25e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x1b047a8f, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x40ed101e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xf31bd4b7, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xf3d90e46, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x3e4ee667, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x2297aa35, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x974efa8b, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xdf9c14ec, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x19b3ea42, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xd97a0415, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x264ad2bf, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x6dd9b137, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x5d85278b, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x4b40efa6, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x1ddf44dd, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x3187ddb2, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x1071e6a6, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x7a7bde8c, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xe89561b4, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x4d54be19, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x99f987bc, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x90ad0276, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xd3711ed8, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x11d75454, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xccff98f5, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xd27ee9f5, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x143e9713, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xafe50271, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xe7ad6678, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xfb6c4a76, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xdce03ec9, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x48b059a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e5a52a4, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4ddb6765, "__traceiter_mac_txdone" },
	{ 0xaf4191bd, "mt76_dma_rx_poll" },
	{ 0xe98b665a, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4048f469, "simple_attr_open" },
	{ 0xe6513e7d, "debugfs_attr_write" },
	{ 0x243299eb, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x44358c14, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc1de855e, "mt76_tx_status_skb_get" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xdedcf078, "mt76_tx_status_lock" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x9de24d7d, "mt76_csa_check" },
	{ 0xde73b957, "mt76_tx_status_skb_add" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x1f269eb5, "__traceiter_dev_irq" },
	{ 0x7639a97e, "mt76_tx_check_agg_ssn" },
	{ 0x660ab2fa, "ieee80211_tx_status_ext" },
	{ 0x6c18f2e3, "mt76_stop_tx_queues" },
	{ 0x6221a21e, "___pskb_trim" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5260a754, "__mt76_tx_complete_skb" },
	{ 0xc7aefdbf, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4bd43a0f, "ieee80211_restart_hw" },
	{ 0xd20ed9ac, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5c7ffad5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x598245cb, "kthread_park" },
	{ 0x40ba3b94, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x993ea496, "mt76_wcid_init" },
	{ 0xb07beadc, "mt76_tx_status_check" },
	{ 0x45fc1df1, "wake_up_process" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0xec5a1255, "ieee80211_get_buffered_bc" },
	{ 0x5dab459d, "napi_complete_done" },
	{ 0x1329c5f4, "ieee80211_get_tx_rates" },
	{ 0x1b53f379, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3547a0ff, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd41e90a6, "mt76_tx" },
	{ 0xea6ab341, "__napi_schedule" },
	{ 0xabcbe182, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xc456c55a, "mt76_wcid_key_setup" },
	{ 0xd07ad900, "_dev_info" },
	{ 0x6f603bfe, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x1661523d, "mt76_rx" },
	{ 0x7c51a54, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xabf94329, "mt76_phy_dfs_state" },
	{ 0x1a768e, "wiphy_to_ieee80211_hw" },
	{ 0x83e42ad0, "mt76_init_queue" },
	{ 0xe3a6cd54, "debugfs_attr_read" },
	{ 0x6cef08eb, "__mt76_sta_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x45593ef1, "mt76_tx_status_skb_done" },
	{ 0x1b36a92, "ieee80211_queue_delayed_work" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x96296242, "_dev_err" },
	{ 0xd025907d, "debugfs_create_bool" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7659f8bb, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xb1c7bc59, "napi_enable" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x63933fa8, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x8001484d, "ieee80211_wake_queues" },
	{ 0x111a7a91, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xfa656d24, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x4c79a16b, "__mt76_mcu_msg_alloc" },
	{ 0x253dcd2f, "mt76_set_irq_mask" },
	{ 0xd26a89f5, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x63797bae, "ieee80211_calc_tx_airtime" },
	{ 0x513509b8, "debugfs_create_u32" },
	{ 0x8126b39e, "mt76_seq_puts_array" },
	{ 0xbaa5009a, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x51df79c5, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x94d04252, "mt76_mcu_get_response" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8de8906b, "debugfs_create_file" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x5fd10286, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc08a7e71, "mt76_txq_schedule_all" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe464a7bc, "mt76_rx_aggr_start" },
	{ 0xd2037d89, "____mt76_poll_msec" },
	{ 0x699076cc, "seq_printf" },
	{ 0x8267eb58, "ieee80211_beacon_get_tim" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x56ea6be2, "mt76_wcid_cleanup" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5812acd9, "seq_puts" },
	{ 0xdeade61d, "ieee80211_radar_detected" },
	{ 0xdce07034, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x392402b8, "mt76_queues_read" },
	{ 0xe06a439e, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcfd9854a, "napi_schedule_prep" },
	{ 0xe25f9d6f, "napi_disable" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0xbcc35785, "__mt76_poll" },
	{ 0x68c6453b, "mt76_rx_aggr_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xaac341c8, "debugfs_create_u8" },
	{ 0x9498433, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd99e3b28, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "EA623BBC9C8DFFF3A834226");
