#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x9dd48647, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x2fc10259, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x97063f8c, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x5ff877ec, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xbb5a8962, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x4d9c2823, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x62500a6d, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x66a57ca1, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xe884ef0b, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x6e26baaa, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xba7b1a0e, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x30c89eb1, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xfca71d20, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x65462f28, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x3ba590b9, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xd965ead7, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x45261449, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x14d5aa02, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x31a2698b, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xbba280d6, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x2d90d537, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xec06587f, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x18e615a9, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x6d156a00, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x8de701ee, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xfc26766b, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x41f5157b, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xedd29b1d, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x68ed17fd, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xb2de891d, "_gpl");
SYMBOL_CRC(rt2800_config, 0x257da3c2, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xd8fac70b, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x8c61b906, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x30fd4bb1, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x395b0077, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x14f06abf, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x6d42e0ef, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x2ada881e, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x1332f7b9, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x3a17bbe0, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xe72af4e1, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xadb86be4, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x8c17f21e, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x97967712, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x1cd719b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x96296242, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdb20ea73, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6277d34e, "rt2x00lib_txdone" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0x81dc5760, "rt2x00queue_get_entry" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x79ac2973, "rt2x00lib_get_bssidx" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xfa00ca9e, "rt2x00mac_conf_tx" },
	{ 0x6f603bfe, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaee12e3, "rt2x00lib_txdone_noinfo" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x4dd5b8fc, "rt2x00debug_dump_frame" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0x37127da4, "__skb_pad" },
	{ 0x4bd43a0f, "ieee80211_restart_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xc9b5bf97, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8d1362d, "param_ops_bool" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");
