#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x9109da44, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x33cf31bc, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x7fddbdbe, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x9d25ad4c, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x3437bfd3, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x8e0877fa, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x2034e316, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x18739ecf, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xb5103600, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x3ed9d7cb, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xb8fc8e01, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x0eb02272, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x80f76630, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x9a5a0fad, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xc9413b33, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x6a9f53f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd68b9983, "usb_control_msg" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x96296242, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x3206d5bb, "usb_anchor_urb" },
	{ 0x759a6212, "usb_submit_urb" },
	{ 0x964ba58b, "usb_unanchor_urb" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xe621fa2e, "usb_alloc_urb" },
	{ 0xbc1f4431, "usb_free_urb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb0082b24, "rt2x00lib_dmastart" },
	{ 0x4e749d8d, "rt2x00lib_dmadone" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x37127da4, "__skb_pad" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xae4a4d94, "rt2x00queue_for_each_entry" },
	{ 0x2f6c4e36, "usb_kill_urb" },
	{ 0x81dc5760, "rt2x00queue_get_entry" },
	{ 0x171e4f7, "rt2x00queue_stop_queue" },
	{ 0x42aea0f6, "rt2x00queue_flush_queue" },
	{ 0x15a57662, "rt2x00queue_start_queue" },
	{ 0xaee12e3, "rt2x00lib_txdone_noinfo" },
	{ 0xad689e27, "rt2x00lib_rxdone" },
	{ 0x4941fc3a, "rt2x00lib_suspend" },
	{ 0x5d886e82, "rt2x00lib_resume" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x2376f407, "rt2x00lib_remove_dev" },
	{ 0x42ba5a54, "ieee80211_free_hw" },
	{ 0x85bfd3de, "usb_put_dev" },
	{ 0x7ae7f3ea, "usb_get_dev" },
	{ 0x1807f7d8, "usb_reset_device" },
	{ 0xe9f816, "ieee80211_alloc_hw_nm" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x243299eb, "devm_kmalloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1e366ceb, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67708E3B0DC0029635F7F52");
