#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x2a7b39d6, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xad9a0657, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x3a88de6a, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x034bfede, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x4ba493b2, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x97e958d8, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x5c97799e, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x500ac951, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x2d405baa, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xb7f11950, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xd8ce78e3, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xee057dc6, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x370cc178, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x0e37d931, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x9d82f994, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x9d9b63fa, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xfaff486b, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x6db7efb0, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x1fddc67d, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x4734da93, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x13018597, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xb42586b5, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xb0d6c5ea, "");
SYMBOL_CRC(fcoe_transport_detach, 0xfcd391d4, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x1115d044, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x2966bc56, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xa82253f3, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x09bf08d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bd1b321, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3d7c49c0, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdca3d00d, "param_ops_uint" },
	{ 0xf7458068, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8d1fba1, "dev_set_name" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0xa89ebb96, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd52be7dc, "dump_page" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xca0eb067, "device_unregister" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd95d707, "fc_rport_logoff" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4a1dbb2e, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xce6de6a2, "fc_disc_init" },
	{ 0x3beb69f5, "fc_rport_login" },
	{ 0x561ad3e, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6e2315b1, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9d8a21a6, "put_device" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7cfd7b4e, "fc_lport_reset" },
	{ 0xf1e4954, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb26597d, "fc_lport_set_local_id" },
	{ 0xe592304c, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x54fea934, "__ethtool_get_link_ksettings" },
	{ 0xf2281b1b, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xf3bd1d, "fc_vport_id_lookup" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9cdbb074, "fc_elsct_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x186296d, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x7c6b0592, "fc_fcp_init" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3b02399, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x75b5397f, "alloc_pages" },
	{ 0x23767e59, "__folio_put" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xfec6fe99, "dev_get_by_name" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da92896, "fc_seq_els_rsp_send" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb91c23bc, "param_ops_int" },
	{ 0xe39978b1, "fc_rport_create" },
	{ 0xdfe08eab, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x31a3be5d, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa02c9d21, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d3139c0, "fc_linkup" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");
