#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_slave_alloc, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0xe5cf06b5, "");
SYMBOL_CRC(fc_fill_hdr, 0xf0c4442c, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0xcd0dcf89, "");
SYMBOL_CRC(fc_lport_iterate, 0x08dc08d6, "");
SYMBOL_CRC(fc_fc4_register_provider, 0x3c483dff, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0x600f2397, "");
SYMBOL_CRC(fc_disc_config, 0x0186296d, "");
SYMBOL_CRC(fc_disc_init, 0xce6de6a2, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0xe6f470e9, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0x8b491467, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0x8da92896, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0x819b5312, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x17ba69f6, "");
SYMBOL_CRC(fc_exch_seq_send, 0xd4af2dce, "");
SYMBOL_CRC(fc_exch_update_stats, 0x4f9304f1, "");
SYMBOL_CRC(fc_exch_mgr_add, 0x97f4bec4, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0xeb4e46b2, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0xb3e0c9e8, "");
SYMBOL_CRC(fc_exch_mgr_free, 0x8ab7f2a9, "");
SYMBOL_CRC(fc_exch_recv, 0xe592304c, "");
SYMBOL_CRC(fc_exch_init, 0x31a3be5d, "");
SYMBOL_CRC(fc_elsct_send, 0x11a46850, "");
SYMBOL_CRC(fc_elsct_init, 0x9cdbb074, "");
SYMBOL_CRC(fc_frame_crc_check, 0xbc3a2b06, "");
SYMBOL_CRC(_fc_frame_alloc, 0x1c4c715b, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0xc12ea880, "");
SYMBOL_CRC(fc_get_host_port_state, 0x5c6e9069, "");
SYMBOL_CRC(fc_get_host_speed, 0x52a54d3f, "");
SYMBOL_CRC(fc_get_host_stats, 0x85362507, "");
SYMBOL_CRC(fc_fabric_login, 0x98e51cff, "");
SYMBOL_CRC(fc_linkup, 0x2d3139c0, "");
SYMBOL_CRC(fc_linkdown, 0x6e2315b1, "");
SYMBOL_CRC(fc_fabric_logoff, 0xc3e2f0ac, "");
SYMBOL_CRC(fc_lport_destroy, 0xa934a01f, "");
SYMBOL_CRC(fc_set_mfs, 0xd41e6fa4, "");
SYMBOL_CRC(fc_lport_set_local_id, 0x0b26597d, "");
SYMBOL_CRC(fc_lport_recv, 0x12ca0689, "");
SYMBOL_CRC(fc_lport_reset, 0x7cfd7b4e, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x03ba3fb9, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x77dee9cc, "");
SYMBOL_CRC(fc_lport_config, 0x06ebd179, "");
SYMBOL_CRC(fc_lport_init, 0xa89ebb96, "");
SYMBOL_CRC(fc_lport_bsg_request, 0x05b5c9ba, "");
SYMBOL_CRC(fc_rport_lookup, 0x6bd1b321, "");
SYMBOL_CRC(fc_rport_create, 0xe39978b1, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x1f1c99ae, "");
SYMBOL_CRC(fc_rport_login, 0x3beb69f5, "");
SYMBOL_CRC(fc_rport_logoff, 0x0d95d707, "");
SYMBOL_CRC(fc_rport_recv_req, 0x329de7c3, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0xa9a7911b, "");
SYMBOL_CRC(fc_queuecommand, 0xb5a9ce78, "");
SYMBOL_CRC(fc_eh_abort, 0x3887ad24, "");
SYMBOL_CRC(fc_eh_device_reset, 0x217b69ce, "");
SYMBOL_CRC(fc_eh_host_reset, 0x8f9af457, "");
SYMBOL_CRC(fc_slave_alloc, 0x0c7cc41e, "");
SYMBOL_CRC(fc_fcp_destroy, 0x4bd75597, "");
SYMBOL_CRC(fc_fcp_init, 0x7c6b0592, "");
SYMBOL_CRC(libfc_vport_create, 0x7c69f46d, "");
SYMBOL_CRC(fc_vport_id_lookup, 0x00f3bd1d, "");
SYMBOL_CRC(fc_vport_setlink, 0x52b61305, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe684dc2f, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf7458068, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5c17d8e, "bsg_job_done" },
	{ 0xe3e7d50b, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd52be7dc, "dump_page" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xda858da, "fc_block_scsi_eh" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x30febb44, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa916b694, "strnlen" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x6c738eb9, "fc_host_post_event" },
	{ 0xbba7233, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0129bc8, "init_uts_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x18c7098a, "scsi_is_host_device" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc3b02399, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xba3d932d, "scsi_is_fc_rport" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb90ee559, "scsi_done" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xb91c23bc, "param_ops_int" },
	{ 0xdfe08eab, "_dev_printk" },
	{ 0x78be6413, "scsi_host_alloc" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xe1e90238, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc");


MODULE_INFO(srcversion, "2B2EA05FAE4948E029B8331");
