#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x40e7211a, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x67cd65b4, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x7046c89f, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x6567962e, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xf0ec9109, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x867a5a4f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xd19514a6, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xbc03bbe2, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xfc059853, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x1fe6883e, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xf8ff9b5e, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xd808e9a8, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xc8780134, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xb54bf4df, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xa3f8ac71, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xfff8cca3, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xc25d317e, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x2279eb07, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xc529168e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2fa7b6, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x84c930d2, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8e8fa97c, "pci_read_vpd" },
	{ 0xeb5bc140, "bus_unregister_notifier" },
	{ 0x311d13af, "pci_request_selected_regions" },
	{ 0xaf32ee9d, "pci_release_selected_regions" },
	{ 0x36fe3c76, "pci_user_write_config_byte" },
	{ 0xd90df63a, "pci_enable_device" },
	{ 0x817245b9, "pci_bus_max_busnr" },
	{ 0xa5d1966e, "pci_check_and_mask_intx" },
	{ 0x6a52749b, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x4c71e476, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xabc364b7, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe518adc1, "pci_dev_put" },
	{ 0xe87a4894, "iommu_group_get" },
	{ 0xbcdf889f, "vfio_virqfd_disable" },
	{ 0x57f7afbd, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x57c640b4, "fget" },
	{ 0x9114c0d7, "pci_num_vf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x48798448, "pci_user_read_config_dword" },
	{ 0x1b0d01c1, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf80dfe52, "dump_mm" },
	{ 0x59f0bb74, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2eb70e52, "pci_probe_reset_bus" },
	{ 0x4b34445, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb6801684, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf7229a92, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x74d28f6f, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x96451fa8, "pci_read_config_dword" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x218ccfc1, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x63639cae, "pci_user_write_config_word" },
	{ 0x3596156, "bus_register_notifier" },
	{ 0xd07ad900, "_dev_info" },
	{ 0x1afcedb7, "vfio_file_is_group" },
	{ 0x8d98d633, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5733b048, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcb13171c, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xef8a4592, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x994e0687, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x31a9f1d9, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe635d024, "vfio_virqfd_enable" },
	{ 0x4da63c94, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0320f0a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cd1b56b, "aperture_remove_conflicting_pci_devices" },
	{ 0x63ac79c1, "vfio_unregister_group_dev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcda0a9bc, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x807fa888, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc28941b, "pci_iounmap" },
	{ 0x364f1a4e, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdfc0c496, "pcie_get_mps" },
	{ 0x7ea528b5, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x3252565, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x73b05130, "__mmap_lock_do_trace_start_locking" },
	{ 0x6e9668fc, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x3b1de456, "_dev_notice" },
	{ 0x2691234d, "pm_runtime_forbid" },
	{ 0x15f18be, "pm_runtime_allow" },
	{ 0xcf1f5c2e, "pci_reset_bus" },
	{ 0x959899b2, "mmput" },
	{ 0xf875c4a6, "__pm_runtime_resume" },
	{ 0xd39d21c9, "vfio_register_group_dev" },
	{ 0x2da8ffb9, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9559a18a, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd6061845, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x3d802470, "pci_get_class" },
	{ 0x72690d84, "pci_user_write_config_dword" },
	{ 0x799e2e4c, "pcie_capability_read_dword" },
	{ 0x4ad6b198, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x81a2b0ee, "pci_load_and_free_saved_state" },
	{ 0x9c56b411, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x381c1ea5, "pci_disable_device" },
	{ 0x6335c893, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x19170805, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8ef90638, "pcie_set_readrq" },
	{ 0x46b64c8e, "pci_walk_bus" },
	{ 0xfc848010, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xfec04988, "pci_unmap_rom" },
	{ 0xee47b375, "pci_read_config_byte" },
	{ 0x1366fe77, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x637c1296, "vga_set_legacy_decoding" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x3898f3c6, "pci_dev_unlock" },
	{ 0xa1328506, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xff3a5a37, "pci_free_irq_vectors" },
	{ 0x680fb708, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xbf73ebc8, "__pm_runtime_idle" },
	{ 0x6f3aa4a9, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9393525a, "pci_bus_type" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");
