#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ebt_register_template, "", "");
KSYMTAB_FUNC(ebt_unregister_template, "", "");
KSYMTAB_FUNC(ebt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ebt_register_table, "", "");
KSYMTAB_FUNC(ebt_unregister_table, "", "");
KSYMTAB_FUNC(ebt_do_table, "", "");

SYMBOL_CRC(ebt_register_template, 0xd3fb60f6, "");
SYMBOL_CRC(ebt_unregister_template, 0xfd39580f, "");
SYMBOL_CRC(ebt_unregister_table_pre_exit, 0xf6d8c871, "");
SYMBOL_CRC(ebt_register_table, 0xd4ca9381, "");
SYMBOL_CRC(ebt_unregister_table, 0x1713048c, "");
SYMBOL_CRC(ebt_do_table, 0x4471e5e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xdcb764ad, "memset" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe76495ff, "xt_find_match" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbba7233, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc4af75f2, "xt_check_match" },
	{ 0x189d155d, "xt_request_find_target" },
	{ 0x8ededed4, "xt_check_target" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6d62938b, "nf_unregister_net_hooks" },
	{ 0x34cbd6d6, "xt_register_target" },
	{ 0x58b4f473, "nf_register_sockopt" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0x2ea34b0b, "xt_unregister_target" },
	{ 0x8b3ad4b, "nf_unregister_sockopt" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x37a0cba, "kfree" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7bce4603, "xt_data_to_user" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x999e8297, "vfree" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe684dc2f, "try_module_get" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x618911fc, "numa_node" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x97b4d43, "nf_register_net_hooks" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FEB1E5CB1F689BD330D1F50");
