#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xaf2c77d7, "");
SYMBOL_CRC(is_hsr_master, 0x36c988fe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x4432002f, "dev_set_mtu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x37127da4, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x828c42e8, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf7458068, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa67e362e, "netdev_update_features" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0xe514384e, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfe59efcc, "dev_set_promiscuity" },
	{ 0xc7aefdbf, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xbc807947, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0xc1d84f0e, "netlink_ack" },
	{ 0x77aed8d3, "netdev_state_change" },
	{ 0x6a176fb2, "__pskb_copy_fclone" },
	{ 0xa0f46c4e, "ether_setup" },
	{ 0xe0ae6753, "netdev_err" },
	{ 0x4ceb4ea2, "netdev_upper_dev_link" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0x878aef05, "netdev_core_stats_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd5b8ddae, "netdev_rx_handler_unregister" },
	{ 0x63fb744b, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d1e2abe, "netlink_broadcast" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0x3b474c81, "skb_copy_expand" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17ac76b1, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x2b91f15, "dev_get_by_index_rcu" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x8369d8aa, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xe16a5b94, "debugfs_remove" },
	{ 0x33f1e764, "netdev_upper_dev_unlink" },
	{ 0x12e5e082, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0xc3b02399, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x51df79c5, "seq_read" },
	{ 0x9bbd298a, "debugfs_rename" },
	{ 0x8de8906b, "debugfs_create_file" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x80d4ef2a, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab1a31ea, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x699076cc, "seq_printf" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x291d1627, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1ed82a58, "netdev_rx_handler_register" },
	{ 0x5812acd9, "seq_puts" },
	{ 0xdce07034, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaf27fd62, "genl_unregister_family" },
	{ 0x69b5b0f6, "dev_disable_lro" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0x9498433, "single_open" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0x7fbcdba6, "genl_register_family" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x5c330e23, "netdev_info" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");
