#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x8a83125c, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xc5fd3c46, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x2100d520, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x5a03615f, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xcea23a18, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xd39e9222, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x554f24cf, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xee3e1cdf, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xb93ce5cd, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x26141144, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x636fcbee, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x2677cf44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6698c799, "ipv6_chk_addr_and_flags" },
	{ 0x2b91f15, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdcb764ad, "memset" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x26955ab2, "ip6tun_encaps" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x683c88b4, "register_pernet_device" },
	{ 0xe6aa41f, "xfrm6_tunnel_register" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0x29ace485, "unregister_pernet_device" },
	{ 0x7f88ff63, "xfrm6_tunnel_deregister" },
	{ 0x12e5e082, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0xd5e648b4, "rt6_lookup" },
	{ 0x7aab94cf, "dst_release" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x97e5824f, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x3b003d66, "alloc_netdev_mqs" },
	{ 0xdaef0100, "register_netdev" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7568bf6c, "init_net" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd3ab8438, "__get_hash_from_flowi6" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77aed8d3, "netdev_state_change" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd3df5ec4, "make_kuid" },
	{ 0x9abe23b7, "ip6_redirect" },
	{ 0xc694ca6b, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x50876a96, "skb_clone" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xcbab2509, "icmp6_send" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x4dd1562e, "skb_scrub_packet" },
	{ 0x8d624762, "gro_cells_receive" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x17ccadda, "ip_route_output_flow" },
	{ 0x1a45b059, "ip_route_input_noref" },
	{ 0x9896ebf9, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xbc02e85a, "dst_cache_get" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xdef4357a, "skb_realloc_headroom" },
	{ 0x6e0c3154, "skb_set_owner_w" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0xaa5b1586, "ipv6_push_frag_opts" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x7e8654be, "ip6_local_out" },
	{ 0x1e6b8077, "ip6_route_output_flags" },
	{ 0xafbff4cc, "xfrm_lookup" },
	{ 0x4624507d, "skb_copy_bits" },
	{ 0x6a591916, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3e52c0f2, "ip6_dst_hoplimit" },
	{ 0x61514465, "ipv6_dev_get_saddr" },
	{ 0x23959e56, "neigh_destroy" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1a3e63e0, "iptunnel_handle_offloads" },
	{ 0x4d4f5350, "icmpv6_ndo_send" },
	{ 0x8dba08d0, "icmp_ndo_send" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xff353a57, "gro_cells_init" },
	{ 0x80f226e7, "__xfrm_policy_check" },
	{ 0x64701b31, "__iptunnel_pull_header" },
	{ 0xad6b83af, "metadata_dst_alloc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0xa8d1362d, "param_ops_bool" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");
