#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x55af8903, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xe932ea5f, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xd5c45cdd, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x16639851, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x1e9f077c, "_gpl");
SYMBOL_CRC(nla_get_labels, 0x8ee316eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x38472ac1, "netlink_strict_get_check" },
	{ 0x99350f1a, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3d95078d, "__nlmsg_put" },
	{ 0xd468a69d, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x2d08648f, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd7eff0d9, "nla_reserve" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x61e36c72, "neigh_xmit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x17ccadda, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0xfa214e, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x809f1e2c, "rtnl_af_register" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0x8f3ec79, "rtnl_set_sk_err" },
	{ 0x13509581, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f31131d, "nla_reserve_64bit" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xadcff6b6, "ip_valid_fib_dump_req" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xaa34ad74, "ipv6_stub" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xcc79a262, "nla_reserve_nohdr" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2eec15d2, "rtnl_af_unregister" },
	{ 0x4a32521d, "dev_remove_pack" },
	{ 0x69998e41, "dev_get_by_index" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x12e5e082, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcd279169, "nla_find" },
	{ 0x57440503, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x16967417, "rtnl_register_module" },
	{ 0x179442c6, "ip_tunnel_encap_del_ops" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0xc3b02399, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb6d2f06e, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7aab94cf, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x50c4d9ad, "dev_get_flags" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "16EDC9F75859354E2259D50");
