#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_conncount_add, "_gpl", "");
KSYMTAB_FUNC(nf_conncount_list_init, "_gpl", "");
KSYMTAB_FUNC(nf_conncount_gc_list, "_gpl", "");
KSYMTAB_FUNC(nf_conncount_count, "_gpl", "");
KSYMTAB_FUNC(nf_conncount_init, "_gpl", "");
KSYMTAB_FUNC(nf_conncount_cache_free, "_gpl", "");
KSYMTAB_FUNC(nf_conncount_destroy, "_gpl", "");

SYMBOL_CRC(nf_conncount_add, 0x59cd7c5f, "_gpl");
SYMBOL_CRC(nf_conncount_list_init, 0xded40268, "_gpl");
SYMBOL_CRC(nf_conncount_gc_list, 0xecec2d9b, "_gpl");
SYMBOL_CRC(nf_conncount_count, 0xd6a8244f, "_gpl");
SYMBOL_CRC(nf_conncount_init, 0x3dd9e4e7, "_gpl");
SYMBOL_CRC(nf_conncount_cache_free, 0xf2a1dbb9, "_gpl");
SYMBOL_CRC(nf_conncount_destroy, 0x4b2f4b12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf6a1c244, "kmem_cache_free" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x609fe0ac, "nf_ct_netns_get" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7a4c968, "__do_once_done" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xb6de8633, "nf_ct_netns_put" },
	{ 0xece784c2, "rb_first" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe29d31ea, "nf_conntrack_find_get" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x83f39fd2, "kmem_cache_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xdcb764ad, "memset" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "A44E4BBECE5CFF10BB15CCA");
