#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x2678e4d5, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xd3713d45, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x964a01a4, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x902f11e8, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xb7ba9719, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xd38a9a96, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0972a9f, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x36eeaff7, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6156de16, "nsh_pop" },
	{ 0xe29d31ea, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4504c918, "nf_ct_set_timeout" },
	{ 0x3d7c49c0, "dev_get_stats" },
	{ 0x466b00d0, "__nla_put" },
	{ 0xe684dc2f, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1c631c6, "dev_fill_metadata_dst" },
	{ 0x3227e705, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x4624507d, "skb_copy_bits" },
	{ 0x92aaa12a, "nf_ct_handle_fragments" },
	{ 0x2bfd9534, "eth_mac_addr" },
	{ 0xf7458068, "skb_put" },
	{ 0x6f082709, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6d847f62, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x416df22a, "nf_ct_nat" },
	{ 0xd7eff0d9, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x40bb31e8, "skb_eth_pop" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xafe068ce, "skb_gso_validate_mac_len" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0xeb253143, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x33913a93, "nf_ct_helper" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x84984c5e, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0xb4c92399, "rtnl_delete_link" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0x1ecebf6c, "nf_connlabels_put" },
	{ 0xe514384e, "genlmsg_put" },
	{ 0x6221a21e, "___pskb_trim" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfe59efcc, "dev_set_promiscuity" },
	{ 0xb6d5af5d, "nf_ct_destroy_timeout" },
	{ 0x286b848c, "nf_ct_add_helper" },
	{ 0xb5e44c9e, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4ec67390, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfad5251d, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0x55463d3c, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0xa0f46c4e, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0xf9bbfd54, "skb_csum_hwoffload_help" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0x823f72fb, "nf_connlabels_replace" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0x3b003d66, "alloc_netdev_mqs" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x93c10636, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xd5b8ddae, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d1e2abe, "netlink_broadcast" },
	{ 0x84c6d3d3, "skb_eth_push" },
	{ 0xd6a8244f, "nf_conncount_count" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x83f39fd2, "kmem_cache_alloc" },
	{ 0xcb7755f4, "skb_mpls_pop" },
	{ 0x5b44c7d5, "skb_vlan_pop" },
	{ 0xa191b728, "dst_init" },
	{ 0xbba7233, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xd6dd5582, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xaa34ad74, "ipv6_stub" },
	{ 0xf5d18c41, "skb_mpls_update_lse" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x17ac76b1, "netlink_unicast" },
	{ 0x1166f0b3, "bpf_trace_run5" },
	{ 0x2b91f15, "dev_get_by_index_rcu" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xf6a1c244, "kmem_cache_free" },
	{ 0x33f1e764, "netdev_upper_dev_unlink" },
	{ 0x12e5e082, "nla_put" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0xfa68eb3f, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x57440503, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x29ace485, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0xbed6cf7f, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x6ab679b7, "nf_nat_helper_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0xc47c4451, "nf_ct_delete" },
	{ 0x3dd9e4e7, "nf_conncount_init" },
	{ 0x6ae63821, "skb_vlan_push" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0x64655cd3, "netdev_master_upper_dev_link" },
	{ 0x913161b6, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x75ae03e0, "inet_proto_csum_replace16" },
	{ 0xc3b02399, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4dd1562e, "skb_scrub_packet" },
	{ 0x12fd7471, "nf_ct_deliver_cached_events" },
	{ 0x4296eb23, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe1b94818, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x12cd0f24, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x77da6507, "inet_proto_csum_replace4" },
	{ 0x4b2f4b12, "nf_conncount_destroy" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x1e7b570b, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x923d3560, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xfec6fe99, "dev_get_by_name" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xad6b83af, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7aab94cf, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc19e77bd, "peernet2id_alloc" },
	{ 0x2b4fab2a, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1ed82a58, "netdev_rx_handler_register" },
	{ 0x35fdcea1, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xaf27fd62, "genl_unregister_family" },
	{ 0x69b5b0f6, "dev_disable_lro" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7fbcdba6, "genl_register_family" },
	{ 0xdd35e18c, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9f76578, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x75a036cb, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xc97e328d, "skb_mpls_push" },
	{ 0x683c88b4, "register_pernet_device" },
	{ 0x90a75c6, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xe62ce05f, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0xb4cd5f20, "__skb_vlan_pop" },
	{ 0xf6749a22, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "9AE736D4187887A2FA625FE");
