#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xc112ecf3, "");
SYMBOL_CRC(tipc_dump_start, 0xe2fe1ba2, "");
SYMBOL_CRC(tipc_dump_done, 0x444cf4ee, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x51b7d7ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcabc9527, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x6fe3eae1, "sock_i_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3227e705, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3d95078d, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf7458068, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3e52c0f2, "ip6_dst_hoplimit" },
	{ 0x61f287ec, "trace_output_call" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x2d08648f, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x8e0b83bd, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xcb7d1492, "__ip_dev_find" },
	{ 0x6d49fa7c, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2dc7ee36, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe514384e, "genlmsg_put" },
	{ 0x6221a21e, "___pskb_trim" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x3b6e7435, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xbc807947, "netdev_warn" },
	{ 0x2830a516, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x8ead14e5, "crypto_aead_decrypt" },
	{ 0x586cfa7f, "kernel_accept" },
	{ 0xbe71ae87, "__module_get" },
	{ 0x17ccadda, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe101a84a, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6a176fb2, "__pskb_copy_fclone" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0xd7284ebb, "put_cmsg" },
	{ 0x561ad3e, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0xfa214e, "register_net_sysctl_sz" },
	{ 0xb8237646, "crypto_destroy_tfm" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xfe6a63b5, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa4c9264a, "sock_register" },
	{ 0x9418845b, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9da09c80, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x310cc897, "skb_try_coalesce" },
	{ 0x25d4bc01, "proto_register" },
	{ 0x3b474c81, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0xbba7233, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd6592186, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0x74b23a85, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0xaa34ad74, "ipv6_stub" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f9f42bf, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x17ac76b1, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x4a32521d, "dev_remove_pack" },
	{ 0x8f7095f6, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x350d7ea6, "kernel_sock_shutdown" },
	{ 0x9f72b007, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xbc02e85a, "dst_cache_get" },
	{ 0xa630f91, "sock_no_listen" },
	{ 0x12e5e082, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x98dd60e2, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x97f4be9d, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x83ffa521, "rhashtable_walk_start_check" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x29ace485, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe9721649, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x384fbdbd, "skb_copy_datagram_iter" },
	{ 0x390775ed, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0xf5420a04, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xf29d0d37, "kfree_skb_partial" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0x5779dcd0, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x50d935e0, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xa7e06c34, "setup_udp_tunnel_sock" },
	{ 0x8f18718c, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3b02399, "skb_trim" },
	{ 0xc5f21428, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{  0x62b38, "bpf_trace_run3" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x433c426c, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfa9bbe23, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf2a5261e, "kernel_listen" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x10f87fc4, "dev_nit_active" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xda1b77f4, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6a591916, "dst_cache_set_ip6" },
	{ 0x49505a5, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7cf45534, "udp_tunnel_xmit_skb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf3b5051a, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x387256f9, "skb_copy" },
	{ 0x50876a96, "skb_clone" },
	{ 0xfec6fe99, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa55d05bb, "_copy_from_iter" },
	{ 0x692f3722, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xffae3c24, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3e837c3d, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4e1ed9b5, "sk_stop_timer" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xaf27fd62, "genl_unregister_family" },
	{ 0x5ab2e311, "from_kuid_munged" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x5b990992, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0x7fbcdba6, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x34f14ba1, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfb8b1bb, "skb_to_sgvec" },
	{ 0x2d9a1601, "rhashtable_walk_exit" },
	{ 0x683c88b4, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5e586100, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xe296badb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6AE0FE04FA0FEA28D769469");
