#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x583e5f6f, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x463270ad, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xf6829d70, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x912a33f3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x78d26ba1, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xcd9d7986, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x4b7b1347, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xd1d70432, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xd70c0b3e, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xf8c515a1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x7e79b821, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x1bdd6a8f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x5c738b27, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x335ed277, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xec0f7d7e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x054a23e4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x35fbf2f9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xf5b61b84, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x59f22aa0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x663da160, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x8b02182a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x84ecad04, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x3222a80f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x3119ff45, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x70d4120e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xfc735414, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x90256773, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x60c65548, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf08dc545, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xf406fd39, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x9afb4739, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x61c73f0f, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xed6a3bb9, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xd4322388, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x491c4b53, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x59e18130, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x228807ed, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbf53df8d, "_copy_to_iter" },
	{ 0xb0020b12, "vsock_insert_connected" },
	{ 0xf7458068, "skb_put" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x1b854273, "vsock_remove_sock" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x8ae59516, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1f1ac61b, "bpf_trace_run8" },
	{ 0x25252e69, "sk_error_report" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0x64b3b5ad, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8f7095f6, "sk_free" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xdb45b5f5, "__skb_recv_datagram" },
	{ 0xe9721649, "lock_sock_nested" },
	{ 0x14ce93e4, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9ddc1f1e, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x2e0401ee, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4d639c59, "bpf_trace_run10" },
	{ 0xf9ba2fd8, "vsock_core_get_transport" },
	{ 0xb78c6f28, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa55d05bb, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xaca7ed04, "vsock_create_connected" },
	{ 0x1e3d40b0, "vsock_assign_transport" },
	{ 0x5b990992, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xe296badb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4f9168c5, "vsock_data_ready" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
