#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sm4_ce_expand_key, "", "");
KSYMTAB_FUNC(sm4_ce_crypt_block, "", "");
KSYMTAB_FUNC(sm4_ce_cbc_enc, "", "");
KSYMTAB_FUNC(sm4_ce_cfb_enc, "", "");

SYMBOL_CRC(sm4_ce_expand_key, 0x0fca045b, "");
SYMBOL_CRC(sm4_ce_crypt_block, 0xe609a0d5, "");
SYMBOL_CRC(sm4_ce_cbc_enc, 0x7155f33f, "");
SYMBOL_CRC(sm4_ce_cfb_enc, 0xed1f9633, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfa2b7c1, "crypto_unregister_shashes" },
	{ 0x3ef051c8, "crypto_inc" },
	{ 0x8fd180e7, "kernel_neon_begin" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x41237f71, "cpu_have_feature" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b098da5, "crypto_sm4_ck" },
	{ 0xe7bc4a7, "skcipher_walk_virt" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x73436185, "crypto_register_shashes" },
	{ 0x1b8732be, "crypto_register_skciphers" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x402ba470, "skcipher_walk_done" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa8a8110c, "kernel_neon_end" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x7931a202, "crypto_sm4_fk" },
	{ 0xa5c846b0, "crypto_unregister_skciphers" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "sm4");

MODULE_ALIAS("cpu:type:*:feature:*0013*");

MODULE_INFO(srcversion, "7E69EA7FF8BF8F5A1D61C1E");
