#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_register, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_unregister, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x8d0ab97b, "");
SYMBOL_CRC(mmc_request_done, 0x336a9bc7, "");
SYMBOL_CRC(mmc_start_request, 0xd3edcb8d, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x4f57e31b, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x3f65ffa0, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x581487ff, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x7444deba, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x008298bb, "");
SYMBOL_CRC(mmc_is_req_done, 0x44a2c304, "");
SYMBOL_CRC(mmc_wait_for_req, 0x723ced6d, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x09b4da70, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x6c82488b, "");
SYMBOL_CRC(__mmc_claim_host, 0x3d4642ab, "");
SYMBOL_CRC(mmc_release_host, 0x80cc1d37, "");
SYMBOL_CRC(mmc_get_card, 0x48f40b99, "");
SYMBOL_CRC(mmc_put_card, 0xf8cd5cdc, "");
SYMBOL_CRC(mmc_detect_change, 0x1593b23d, "");
SYMBOL_CRC(mmc_erase, 0x57af9869, "");
SYMBOL_CRC(mmc_can_erase, 0xb47f167f, "");
SYMBOL_CRC(mmc_can_trim, 0x3f32b2ff, "");
SYMBOL_CRC(mmc_can_discard, 0xfa939322, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xa65a02eb, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x3bcdf4c2, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xaa6a9171, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x8aa66168, "");
SYMBOL_CRC(mmc_set_blocklen, 0x10b61a6d, "");
SYMBOL_CRC(mmc_hw_reset, 0xad4ecd3e, "");
SYMBOL_CRC(mmc_sw_reset, 0xe8d4ab42, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xd5795b5b, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x7aa79f1a, "");
SYMBOL_CRC(mmc_register_driver, 0x2a42de8c, "");
SYMBOL_CRC(mmc_unregister_driver, 0xa7fe7f88, "");
SYMBOL_CRC(mmc_retune_pause, 0xd1bc088b, "");
SYMBOL_CRC(mmc_retune_unpause, 0x57d4e24f, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xf22d646b, "");
SYMBOL_CRC(mmc_retune_release, 0x6aa013e8, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x31eb2547, "");
SYMBOL_CRC(mmc_of_parse, 0x6b939733, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xf41dd4b1, "");
SYMBOL_CRC(mmc_alloc_host, 0x01ef8c46, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x758c76fc, "");
SYMBOL_CRC(mmc_add_host, 0x388226d1, "");
SYMBOL_CRC(mmc_remove_host, 0x5998fdbe, "");
SYMBOL_CRC(mmc_free_host, 0x0392603d, "");
SYMBOL_CRC(__mmc_send_status, 0x7f6a7842, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xcb44f57e, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x59a2f13d, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x3054cdd1, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x83226536, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x620176a5, "_gpl");
SYMBOL_CRC(mmc_switch, 0x3b817612, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0xe08b9f98, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x5fada2d3, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x7b2cbaeb, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xa5f05bbb, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x9639f39b, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x2c8f047d, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x36f2886c, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0xb3d5caa6, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xe8a0d432, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x5b7b93f2, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x1669fe6d, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xc96eb600, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xafa6bd6f, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x46174e7f, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0xeb98c6a2, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xe2aa1561, "_gpl");
SYMBOL_CRC(sdio_readb, 0x21753384, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xeb3f97ad, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x26e13197, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x4e562488, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x3e764944, "_gpl");
SYMBOL_CRC(sdio_readsb, 0xb2345520, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xb557643f, "_gpl");
SYMBOL_CRC(sdio_readw, 0x46042390, "_gpl");
SYMBOL_CRC(sdio_writew, 0xc675b797, "_gpl");
SYMBOL_CRC(sdio_readl, 0x6556e5a3, "_gpl");
SYMBOL_CRC(sdio_writel, 0x47ff0ab2, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xab9bc3aa, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xf995d682, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x3af07e92, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xb14d01d2, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xdc8676f9, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xfa6887f3, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xbbee3430, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xecfa40de, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xb0cc42a0, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xa07a42f5, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xad832037, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xeabaf351, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xa0a7272c, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x4347e00c, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x3c0ab0a5, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x9f4990d4, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x523ff235, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x4f2f881a, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0xec22ee30, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x3d2107fb, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xb180bf48, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x0a37e9e3, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xb07b04b8, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0xb8a42691, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xfb1af435, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0xeed86d37, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0xb0ad030f, "_gpl");
SYMBOL_CRC(mmc_pwrseq_register, 0x3df4a552, "_gpl");
SYMBOL_CRC(mmc_pwrseq_unregister, 0xefc235f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2c0ef332, "gpiod_get_value_cansleep" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xed284fa5, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x1450df, "device_property_present" },
	{ 0xe684dc2f, "try_module_get" },
	{ 0xda9274c5, "wakeup_source_register" },
	{ 0x5537d1b5, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4048f469, "simple_attr_open" },
	{ 0xf7ebdbc6, "devm_request_threaded_irq" },
	{ 0xe6513e7d, "debugfs_attr_write" },
	{ 0x243299eb, "devm_kmalloc" },
	{ 0xc0a598dc, "of_node_put" },
	{ 0x33fda33f, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8d1fba1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xb5f9d1f6, "device_match_of_node" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x9a7423c7, "led_trigger_register_simple" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf1204459, "device_initialize" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x21efe2d7, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc7aefdbf, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x906341c8, "gpiod_toggle_active_low" },
	{ 0xa8051904, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd20ed9ac, "bpf_trace_run2" },
	{ 0x584a7c37, "gpiod_get_value" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xdedbdb35, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x317131da, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa48204be, "__dynamic_dev_dbg" },
	{ 0xd3ba12cc, "sched_set_fifo_low" },
	{ 0x67704a14, "devres_add" },
	{ 0x77d94624, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x45fc1df1, "wake_up_process" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0x958b4bb, "pm_generic_runtime_resume" },
	{ 0xd3710296, "pm_generic_resume" },
	{ 0xb6e255c, "regulator_get_voltage" },
	{ 0xaaa38cfc, "__pm_runtime_set_status" },
	{ 0x558e3999, "pm_wakeup_ws_event" },
	{ 0x957f8037, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4d1fc67f, "of_get_next_child" },
	{ 0xc9d4ca75, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9d8a21a6, "put_device" },
	{ 0x59645ab3, "pm_runtime_enable" },
	{ 0x98ccc822, "device_property_read_u32_array" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xd4df0456, "gpiod_set_debounce" },
	{ 0xce2b0580, "dev_pm_domain_detach" },
	{ 0xbba7233, "module_put" },
	{ 0x4798b10b, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x29dc4c8, "pm_generic_suspend" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe3a6cd54, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xf1e4954, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x96296242, "_dev_err" },
	{ 0x6d63dec1, "debugfs_create_file_unsafe" },
	{ 0x51dfb1ff, "device_add" },
	{ 0x3efcbb60, "__of_parse_phandle_with_args" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7659f8bb, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x3659ce33, "wakeup_source_unregister" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe16a5b94, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x812ae1d2, "__devres_alloc_node" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x1a2f754f, "driver_unregister" },
	{ 0xb4855e20, "devm_gpiod_get_index" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf18f0cd7, "of_find_property" },
	{ 0x1674ef0d, "class_unregister" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x51e7eeff, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0xcd4d2f23, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf781434f, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x34b2dd6, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2d151e90, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f89d0a2, "kthread_create_on_node" },
	{ 0xaff5d009, "devm_kasprintf" },
	{ 0x51df79c5, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d05d88c, "gpiod_cansleep" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8de8906b, "debugfs_create_file" },
	{ 0xb93588e, "gpiod_is_active_low" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0xe2db094e, "of_device_is_compatible" },
	{ 0xf875c4a6, "__pm_runtime_resume" },
	{ 0x1e96e928, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa8d1362d, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x699076cc, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x80d35856, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdce07034, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x240b98c8, "regulator_disable" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x401a02c6, "__pm_runtime_suspend" },
	{ 0x70f114fb, "set_primary_fwnode" },
	{ 0x1cbd908, "led_trigger_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9498433, "single_open" },
	{ 0xece893de, "gpiod_set_consumer_name" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdcdf2ebd, "__pm_runtime_disable" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0x9902d81f, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1d49a11e, "driver_register" },
	{ 0x8b3c9f46, "class_register" },
	{ 0xbf73ebc8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9e24bdfe, "__dev_fwnode" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xa02c9d21, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4EC3EBF3D9299FD278A52A4");
