#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xd51018d2, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x86fa215f, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x28ff34e2, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x3f843655, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x2504816f, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xd6e35f98, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x0131a42a, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xd056d8ab, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x7670dc7a, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xfacbfdaa, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xe4a7478c, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x76c9e54a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x548b5847, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xbec74804, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xf31ca07a, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xd9741ad3, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x8c27d28b, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xeaaba3c8, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x950cb124, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xda085079, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x9bd00cee, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x0a923a8a, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x28f15599, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x5dcd2f59, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xef311c59, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x7e73e940, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x7900dba2, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x379b8efd, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x660e7f15, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xaf5386b3, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xa32bf72f, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xeb61d189, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x14fa11ff, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x7bbedea2, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x20b57e49, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x2fb792f5, "");
SYMBOL_CRC(mlx4_test_async, 0x05162812, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x0afa9cab, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x01a0ad53, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xbb053121, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x095a57e2, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x22929470, "");
SYMBOL_CRC(mlx4_assign_eq, 0xb91ef7af, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x0aa36631, "");
SYMBOL_CRC(mlx4_release_eq, 0x62e0066a, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x5a0be54e, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xd61d28af, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x8d81efa6, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x6b006391, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x6126246b, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xca7bbec3, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xf2f15e94, "");
SYMBOL_CRC(mlx4_wol_read, 0x6aa45d94, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x919921c3, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x16ced2bd, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xdfcd5471, "");
SYMBOL_CRC(set_phv_bit, 0x22139936, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x9090b083, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x290924cf, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x74f4f688, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xc432ff24, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x3a65edf6, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x26d11624, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x07acce44, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x00450fa2, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x2becb023, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x6147adcf, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x2370e4a0, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x5323295b, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x412f7c8f, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x0ba32afe, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xafae4631, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xc6f7e346, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x89331390, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xa668311e, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x958a9b96, "");
SYMBOL_CRC(mlx4_read_clock, 0x49aa2d7d, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xaf8aa45a, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xdf2f77f2, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x8354323d, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xc0e952ea, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x57144d8d, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xfb67b9c0, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x1a381c76, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x61104d76, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x65fe958e, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x37cd3f40, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x21a1244d, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x25204928, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x91dd209c, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xdf642c61, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x84f1aa24, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x044c8e04, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xfa466e8a, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xad896a62, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x3cc12dac, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x69e55599, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xc0ea912f, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x2b577aed, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xa461bb2c, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xfb257c78, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x3fb08669, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x2518f266, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x7c691948, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x77690400, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x4e3e6915, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xdd2e276f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x2b720d6d, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x2b6c9e88, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x9881aa44, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x72d932a9, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x16eca085, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xdee61d6e, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x0286f59f, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xc254970c, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x1d3b1db6, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xfbd98b9f, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x67f347c8, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x171e3259, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x4992bad8, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xdded23f6, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xec75b60f, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xf35c17ee, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x5bd873fe, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xe8279d9a, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x8e2f6f43, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x301b5792, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xa8e36222, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xe5cd575b, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x15dfe950, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x4c15b0b7, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x6df299e2, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xb3601561, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x8fb772ab, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xeeea9c8a, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x3d5243fb, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x6926d5ba, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xf955bf15, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x87f9957f, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xb8baebf2, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x28aa9eac, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x818d733f, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xde210e2f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x4a22e0a9, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x27e99ed4, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xa0b31f0d, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xa1194e78, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x947d6e07, "");
SYMBOL_CRC(mlx4_get_module_info, 0x6f76de2e, "");
SYMBOL_CRC(mlx4_max_tc, 0xd13c7a39, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x99ef4698, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x90bde9d1, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x259fc87c, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x5956c887, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x37e3d6ca, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x2aebaae4, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x5b57d32b, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x2e6ebf2e, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x8ff319a3, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xb9c4a395, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x1910a77e, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x78f7181a, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x8de999ff, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x90292fb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6b2fa7b6, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x126c4608, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8e65144b, "devl_region_create" },
	{ 0x458be8f7, "devlink_unregister" },
	{ 0x9ed9af8e, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd90df63a, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x160abf7c, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc9f55a25, "devlink_region_snapshot_id_get" },
	{ 0xcbe03f6f, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb3e7e79b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x82d33744, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x9114c0d7, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe4489aff, "param_array_ops" },
	{ 0x5c5acea5, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x569c3d3f, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfbe2a1a8, "pci_sriov_get_totalvfs" },
	{ 0xd27d12fb, "devlink_register" },
	{ 0x7ddf5778, "devlink_port_type_clear" },
	{ 0x84e613d3, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x1c12c9b6, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x317131da, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0xfa349ef1, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x96451fa8, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x163bb68f, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d53e5b8, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6d23ad3f, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9d8a21a6, "put_device" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xa7e897a1, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3ca4361f, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb0537a85, "__free_pages" },
	{ 0xd07ad900, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa3f3e1ed, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x96296242, "_dev_err" },
	{ 0x7568bf6c, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xda4393e0, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xb9f666d9, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8bdf8437, "dma_alloc_attrs" },
	{ 0xe0320f0a, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x85527479, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x364f1a4e, "pci_restore_state" },
	{ 0xcd4d2f23, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x88160736, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5b0531da, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x577b2ab3, "__alloc_pages" },
	{ 0xb5d825ee, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x1f39e479, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x8e83414, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6390cd91, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xcc5e19d0, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa8d1362d, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc1365192, "pci_release_regions" },
	{ 0x33fccb0c, "devl_assert_locked" },
	{ 0xd94988a9, "pcie_print_link_status" },
	{ 0x75b5397f, "alloc_pages" },
	{ 0x7753cba0, "devl_port_unregister" },
	{ 0x21e366c7, "devl_param_driverinit_value_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x94e9f618, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9c56b411, "pci_disable_sriov" },
	{ 0xd70a99bb, "pci_disable_msix" },
	{ 0x381c1ea5, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x285085e, "dma_set_mask" },
	{ 0x185f1791, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5db4ea8d, "dma_unmap_sg_attrs" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb91c23bc, "param_ops_int" },
	{ 0xdfe08eab, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x680fb708, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3403fa0, "pci_write_config_dword" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x7e5043c4, "device_remove_file" },
	{ 0x6dad7656, "dma_map_sg_attrs" },
	{ 0xe1253177, "devl_param_value_changed" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
