#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xf0577f8b, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x8c6801f2, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x68cb2e81, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x7776c6f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa0f46c4e, "ether_setup" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x54fea934, "__ethtool_get_link_ksettings" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7568bf6c, "init_net" },
	{ 0x29c347a1, "generic_hwtstamp_set_lower" },
	{ 0x3e3569c6, "generic_hwtstamp_get_lower" },
	{ 0xa300c051, "dev_mc_del" },
	{ 0xaeae0017, "dev_uc_del" },
	{ 0x4a944402, "dev_mc_add_excl" },
	{ 0x8d2209ca, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xb298a804, "__netpoll_free" },
	{ 0x1d45339e, "vlan_vid_del" },
	{ 0x8379f672, "vlan_vid_add" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6326356b, "dev_set_allmulti" },
	{ 0xfe59efcc, "dev_set_promiscuity" },
	{ 0x2a8866d4, "dev_uc_unsync" },
	{ 0xb53a2cb1, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12e5e082, "nla_put" },
	{ 0x4401f4a1, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a4d8f17, "dev_uc_add" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0x33f1e764, "netdev_upper_dev_unlink" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0x8302c7c3, "dev_set_mac_address" },
	{ 0x4432002f, "dev_set_mtu" },
	{ 0x80d4ef2a, "call_netdevice_notifiers" },
	{ 0xb85c31da, "netif_inherit_tso_max" },
	{ 0xa67e362e, "netdev_update_features" },
	{ 0x108285f5, "netif_stacked_transfer_operstate" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x644c9898, "dev_uc_sync" },
	{ 0xa7e6e012, "dev_mc_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x50876a96, "skb_clone" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa6726d89, "__dev_forward_skb" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xd5b8ddae, "netdev_rx_handler_unregister" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0xd3b81c18, "netdev_is_rx_handler_busy" },
	{ 0x1ed82a58, "netdev_rx_handler_register" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x4ceb4ea2, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcb93fc27, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x19568c01, "netpoll_send_skb" },
	{ 0x7a9a4c07, "dev_forward_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xdbffa847, "__netif_rx" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x878aef05, "netdev_core_stats_alloc" },
	{ 0xa9796b71, "ip_check_defrag" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x499bd6f9, "passthru_features_check" },
	{ 0x780b68e, "eth_validate_addr" },
	{ 0x8b7a3cba, "ndo_dflt_fdb_dump" },
	{ 0x63fb744b, "eth_header_parse" },
	{ 0x82f05364, "eth_header_cache" },
	{ 0xdf2902dd, "eth_header_cache_update" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");
