#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xbcaa8213, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x8cb7f075, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xa3d31959, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x591a074c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x77096c3f, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x660caaca, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4624507d, "skb_copy_bits" },
	{ 0x3d95078d, "__nlmsg_put" },
	{ 0x734ef854, "netdev_adjacent_change_commit" },
	{ 0x2bfd9534, "eth_mac_addr" },
	{ 0xf7458068, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3e52c0f2, "ip6_dst_hoplimit" },
	{ 0xc7b400e2, "param_ops_ushort" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x8e0b83bd, "udp_sock_create4" },
	{ 0x6d49fa7c, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2dc7ee36, "udp_tunnel6_xmit_skb" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0xb85c31da, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x780b68e, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xff353a57, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2bdd5b4a, "rtnl_create_link" },
	{ 0x17ccadda, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x1a3e63e0, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa0f46c4e, "ether_setup" },
	{ 0x8d911ecf, "udp_tunnel_drop_rx_port" },
	{ 0x4ceb4ea2, "netdev_upper_dev_link" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0x878aef05, "netdev_core_stats_alloc" },
	{ 0x8adbc869, "eth_type_trans" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0xe418df68, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcd56a820, "eth_gro_complete" },
	{ 0x8f3ec79, "rtnl_set_sk_err" },
	{ 0x878183b1, "eth_gro_receive" },
	{ 0x3caaaf54, "rtnl_configure_link" },
	{ 0x45d0fc07, "skb_tunnel_check_pmtu" },
	{ 0xab0679db, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb2f4e57, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0xd6dd5582, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xaa34ad74, "ipv6_stub" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xf93b7d6d, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x2b91f15, "dev_get_by_index_rcu" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8d624762, "gro_cells_receive" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x33f1e764, "netdev_upper_dev_unlink" },
	{ 0x12e5e082, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x97f4be9d, "ip_mc_join_group" },
	{ 0xcd82757a, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe9721649, "lock_sock_nested" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0x97a881fb, "nexthop_find_by_id" },
	{ 0x15b110c3, "arp_create" },
	{ 0x54fea934, "__ethtool_get_link_ksettings" },
	{ 0xac504403, "netdev_adjacent_change_prepare" },
	{ 0x16967417, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3e4fc845, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x5779dcd0, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x64701b31, "__iptunnel_pull_header" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xa7e06c34, "setup_udp_tunnel_sock" },
	{ 0x8f18718c, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3b02399, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe9bf40d6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4dd1562e, "skb_scrub_packet" },
	{ 0x52dac6e2, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x41ca5829, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23959e56, "neigh_destroy" },
	{ 0x2b2ba240, "dst_cache_get_ip6" },
	{ 0x2d4fa26c, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa8d1362d, "param_ops_bool" },
	{ 0x6d765770, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6a591916, "dst_cache_set_ip6" },
	{ 0xb6d2f06e, "rtnl_notify" },
	{ 0x7cf45534, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdbffa847, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xad6b83af, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7aab94cf, "dst_release" },
	{ 0x7adb77f8, "unregister_nexthop_notifier" },
	{ 0xc9636611, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1545dde, "udp_tunnel_notify_del_rx_port" },
	{ 0x8031a369, "register_nexthop_notifier" },
	{ 0x381c6d4b, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xab6e122f, "gro_find_receive_by_type" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x5c330e23, "netdev_info" },
	{ 0x3ac587e3, "neigh_lookup" },
	{ 0xe296badb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "89AC3FF60EE280C8E0C1D71");
