#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x253dcd2f, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x40224dfb, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xbcc35785, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xd2037d89, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x087b16b4, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x4ddb6765, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x1f269eb5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xb83816c6, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x3ec5c981, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x5c77ecda, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x49e229f3, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x67bfedf3, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xaf4191bd, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xd99e3b28, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xd1866274, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x49577783, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x278a14aa, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x1d1eacf4, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x957a336b, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x3f68d7bc, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xff54fe0b, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x5fe3cbd1, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xb46dcba9, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x250b0072, "_gpl");
SYMBOL_CRC(mt76_rx, 0x1661523d, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x548a628e, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x6f657390, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x63933fa8, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x852079e1, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x037ce7fe, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xc456c55a, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x466ec7fc, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x6cef08eb, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x1e0e7020, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x02c55e47, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x993ea496, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x56ea6be2, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x907ab841, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xc3ffcf0a, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xf80ff527, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xabcbe182, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x9de24d7d, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xdcbe27fc, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x2e62a9d2, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x406267d5, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xd6b6e2c0, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xa92a7d3e, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xeb7705f1, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x83e42ad0, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xa8fea17c, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x1fdbb3c0, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xabf94329, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x392402b8, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x8126b39e, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xe06a439e, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0xda2ccd66, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x5a52e7da, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x7642b3b2, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xc5850f72, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x7639a97e, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xdedcf078, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xe98b665a, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x45593ef1, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xde73b957, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xc1de855e, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xb07beadc, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x5260a754, "_gpl");
SYMBOL_CRC(mt76_tx, 0xd41e90a6, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x84e6f3b3, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x47ad7f9c, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xc08a7e71, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x69add811, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x6c18f2e3, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xb85e7ad7, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x6a362317, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xf68f338f, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x8335d231, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x2073e9fd, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x8efb88ab, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x8a0b3c4d, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xfb320d91, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xe464a7bc, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x68c6453b, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x4c79a16b, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x94d04252, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x40ba3b94, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x111a7a91, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xd838d51b, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x369feb71, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x365713da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e5a52a4, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd0d450da, "pcie_capability_read_word" },
	{ 0x37127da4, "__skb_pad" },
	{ 0x4b081a6b, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4048f469, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbad6f561, "__ieee80211_schedule_txq" },
	{ 0xe6513e7d, "debugfs_attr_write" },
	{ 0x243299eb, "devm_kmalloc" },
	{ 0xc0a598dc, "of_node_put" },
	{ 0xf7458068, "skb_put" },
	{ 0x33fda33f, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4b3d7db8, "page_pool_alloc_frag" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x44358c14, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2852142b, "dmam_alloc_attrs" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x42ba5a54, "ieee80211_free_hw" },
	{ 0x792c80d1, "dma_unmap_page_attrs" },
	{ 0xf28acded, "ieee80211_txq_schedule_start" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x82d33744, "dma_sync_single_for_device" },
	{ 0x12d4e8bd, "skb_add_rx_frag" },
	{ 0x660ab2fa, "ieee80211_tx_status_ext" },
	{ 0xb8265d9f, "debugfs_create_blob" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xff1bf637, "page_pool_destroy" },
	{ 0xbbe1f20, "ieee80211_register_hw" },
	{ 0xd10d2e58, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x518ef88e, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa518b97a, "ieee80211_sta_eosp" },
	{ 0x5c7ffad5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2591c826, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x598245cb, "kthread_park" },
	{ 0xd3ba12cc, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xf2796b75, "of_get_property" },
	{ 0x45fc1df1, "wake_up_process" },
	{ 0xc0322124, "dev_driver_string" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0xa5dd23e3, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x5dab459d, "napi_complete_done" },
	{ 0x1329c5f4, "ieee80211_get_tx_rates" },
	{ 0x1b53f379, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x380c2fc5, "ieee80211_sta_uapsd_trigger" },
	{ 0x4d1fc67f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3547a0ff, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xbde02aa, "pci_disable_link_state" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xa73bed78, "napi_gro_receive" },
	{ 0x728f0f6b, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xe8afade0, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfaf711b4, "of_get_child_by_name" },
	{ 0xe3a6cd54, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1b36a92, "ieee80211_queue_delayed_work" },
	{ 0x9272b931, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeac76841, "of_prop_next_string" },
	{ 0x6d63dec1, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7659f8bb, "simple_attr_release" },
	{ 0x8e6e7420, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc406e0c5, "ieee80211_find_sta_by_ifaddr" },
	{ 0x901af5a3, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5ef342f1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xb1c7bc59, "napi_enable" },
	{ 0xc7b289d7, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd8506e3e, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x44df1d0d, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf18f0cd7, "of_find_property" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x51e7eeff, "kthread_stop" },
	{ 0xb08fa22d, "ieee80211_free_txskb" },
	{ 0x42735e13, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9f816, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf12530b6, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x94aa1b8a, "ieee80211_rx_list" },
	{ 0x88160736, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3a106e4c, "page_pool_create" },
	{ 0xc49dea9b, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x513509b8, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f89d0a2, "kthread_create_on_node" },
	{ 0xdaa04ffb, "cfg80211_reg_can_beacon" },
	{  0x62b38, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x5fd10286, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe59bf120, "ieee80211_unregister_hw" },
	{ 0xbf5b4395, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaec8e2de, "of_nvmem_cell_get" },
	{ 0x699076cc, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5812acd9, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x9d138b, "ieee80211_sta_ps_transition" },
	{ 0xaac341c8, "debugfs_create_u8" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3fb24836, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x33a17093, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");
