#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x71880ed7, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x6dea7e8d, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x4d8881e3, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x33b37d76, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x3d98f812, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xcf42c5e2, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x793270bc, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x76ab3c72, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x23193fe7, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x05faa5d3, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x7f9e6012, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x1e923272, "");
SYMBOL_CRC(rtw89_pm_ops, 0xb4a70f6b, "");
SYMBOL_CRC(rtw89_pci_probe, 0x259e749d, "");
SYMBOL_CRC(rtw89_pci_remove, 0x84efa841, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd0d450da, "pcie_capability_read_word" },
	{ 0xf1ae3527, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15f4ceaa, "rtw89_alloc_ieee80211_hw" },
	{ 0xf7ebdbc6, "devm_request_threaded_irq" },
	{ 0xd90df63a, "pci_enable_device" },
	{ 0xf7458068, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0x6a52749b, "pci_iomap" },
	{ 0x4c71e476, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0x792c80d1, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x82d33744, "dma_sync_single_for_device" },
	{ 0x5c5acea5, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7f5ae515, "rtw89_core_napi_init" },
	{ 0xeafd9a93, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc0322124, "dev_driver_string" },
	{ 0x96451fa8, "pci_read_config_dword" },
	{ 0xa5dd23e3, "dma_map_page_attrs" },
	{ 0x5dab459d, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb28c7176, "devm_free_irq" },
	{ 0xea6ab341, "__napi_schedule" },
	{ 0xd07ad900, "_dev_info" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0x2cb9bcd3, "rtw89_core_init" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x96296242, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xabf91b50, "rtw89_core_napi_deinit" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x8bdf8437, "dma_alloc_attrs" },
	{ 0xbda0ca00, "rtw89_free_ieee80211_hw" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa23b9022, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc28941b, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x88160736, "dma_sync_single_for_cpu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x62cf78a, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb5d825ee, "pci_set_master" },
	{ 0x50464fdc, "ieee80211_tx_status" },
	{ 0xe4dddbe6, "rtw89_ser_notify" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0xa64874, "skb_unlink" },
	{ 0x6390cd91, "dma_set_coherent_mask" },
	{ 0x97ca5800, "rtw89_core_register" },
	{ 0xcc5e19d0, "dma_free_attrs" },
	{ 0x59db641d, "rtw89_core_rx" },
	{ 0xa8d1362d, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc1365192, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x90514622, "rtw89_core_deinit" },
	{ 0x3ba0f758, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x381c1ea5, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x285085e, "dma_set_mask" },
	{ 0xcfd9854a, "napi_schedule_prep" },
	{ 0xee47b375, "pci_read_config_byte" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xff3a5a37, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8ed1e7df, "rtw89_core_napi_stop" },
	{ 0x72f1c54d, "rtw89_chip_info_setup" },
	{ 0xb13eb7b, "rtw89_mac_get_err_status" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");
