#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23c6a3b6, "ceph_con_keepalive" },
	{ 0x9a89eba6, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xe49bf918, "folio_invalidate" },
	{ 0x94f18a3f, "ceph_auth_get_authorizer" },
	{ 0x4092a20a, "__page_file_index" },
	{ 0xa16fcec1, "generic_copy_file_range" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e02b664, "filemap_fdatawrite" },
	{ 0x828543be, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9708beca, "vfs_fsync_range" },
	{ 0x5bf8c292, "setattr_prepare" },
	{ 0x8511a44c, "ceph_print_client_options" },
	{ 0xfaf928e1, "simple_attr_write" },
	{ 0x5bbdc693, "file_check_and_advance_wb_err" },
	{ 0x608dbdd9, "ceph_msg_get" },
	{ 0x1de368da, "filemap_get_folios_tag" },
	{ 0xebd6644c, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x23059cd0, "d_instantiate" },
	{ 0xbf53df8d, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4048f469, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3b924cff, "clear_inode" },
	{ 0x3911cadd, "ceph_create_client" },
	{ 0xbba3253b, "__fscache_acquire_volume" },
	{ 0x8d3f0ae, "fscache_dirty_folio" },
	{ 0xe8d7aff8, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x769e8701, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x9d78d3a8, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe27ac6c4, "fs_param_is_string" },
	{ 0x3b7bb7b1, "__folio_batch_release" },
	{ 0xec1f0f78, "folio_unlock" },
	{ 0x982c4493, "__fscache_resize_cookie" },
	{ 0x76f511a, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xf4879e89, "fscrypt_parse_test_dummy_encryption" },
	{ 0x2abf375e, "inode_insert5" },
	{ 0x1ce040c9, "ceph_monc_want_map" },
	{ 0xfd93da78, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a2f53c2, "__fscache_begin_read_operation" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd52be7dc, "dump_page" },
	{ 0xa6ff0852, "ceph_con_open" },
	{ 0x5af341c6, "forget_all_cached_acls" },
	{ 0xea67ac46, "init_special_inode" },
	{ 0x974ed180, "unregister_filesystem" },
	{ 0x6036d129, "__fscrypt_prepare_setattr" },
	{ 0xa2e54f37, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0xbd32cdb7, "task_active_pid_ns" },
	{ 0x55b0c2a9, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa34b6757, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd04ec5bc, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x2198b0b9, "iov_iter_advance" },
	{ 0x4e2f003, "fscrypt_ioctl_get_key_status" },
	{ 0xddabfd5a, "d_make_root" },
	{ 0x3fc81819, "d_same_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8cbc31b9, "fscrypt_decrypt_block_inplace" },
	{ 0x756cc0bb, "read_cache_folio" },
	{ 0xfeb9bb46, "invalidate_mapping_pages" },
	{ 0xabaa72b0, "sync_filesystem" },
	{ 0x4404c2a3, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x644be0f4, "ceph_parse_param" },
	{ 0x8c9e67c5, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xde28f259, "sget_fc" },
	{ 0x3baca220, "d_splice_alias" },
	{ 0xbee8a72f, "generic_error_remove_page" },
	{ 0x7e428b98, "iov_iter_get_pages2" },
	{ 0xc9909bda, "current_time" },
	{ 0x321e6676, "osd_req_op_extent_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaac2d994, "ihold" },
	{ 0x2281a2e1, "d_find_any_alias" },
	{ 0xb9668149, "inode_dio_wait" },
	{ 0xcb568164, "generic_permission" },
	{ 0x142d8142, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd36339f, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x88654970, "posix_lock_file" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4dda3738, "finish_open" },
	{ 0x25324cc7, "iput" },
	{ 0xc7aefdbf, "seq_lseek" },
	{ 0x2e8f467b, "fs_param_is_enum" },
	{ 0x9262db34, "fs_param_is_s32" },
	{ 0xe42a81c1, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3adb704a, "logfc" },
	{ 0x4a1dbb2e, "__put_devmap_managed_page_refs" },
	{ 0xa0bab27f, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x3ab2838d, "fscrypt_show_test_dummy_encryption" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf173791a, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x77a4c58b, "do_splice_direct" },
	{ 0xa6836faa, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xa7ad69c2, "__fscache_relinquish_cookie" },
	{ 0x660d3df8, "ceph_msg_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcd55a74b, "register_filesystem" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0x7b0e8817, "ceph_auth_invalidate_authorizer" },
	{ 0x87632790, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x48982134, "fscrypt_ioctl_get_policy_ex" },
	{ 0xcc6a3fc5, "ceph_monc_got_map" },
	{ 0x5ab4050c, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xdb7d68a9, "ceph_osdc_alloc_messages" },
	{ 0x88f56102, "clear_page_dirty_for_io" },
	{ 0xb08a884d, "ceph_msg_data_add_pagelist" },
	{ 0xeb6d1155, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x31ed0a13, "simple_get_link" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0x82d7287, "shrink_dcache_parent" },
	{ 0xd7ab19e1, "__put_cred" },
	{ 0x1057590d, "d_prune_aliases" },
	{ 0x314711d2, "ceph_reset_client_addr" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x58d3563e, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xb70984e8, "fs_param_is_u32" },
	{ 0x13978a0e, "inode_newsize_ok" },
	{ 0xdbcd8977, "d_drop" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0xef13a6af, "ceph_msg_new2" },
	{ 0x2f6cb697, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0xcd0f6332, "ceph_release_page_vector" },
	{ 0x8090f763, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xe662fca1, "filemap_alloc_folio" },
	{ 0x615bc081, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x8106a232, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x46a4a69d, "ceph_auth_verify_authorizer_reply" },
	{ 0xd3df5ec4, "make_kuid" },
	{ 0x1fe9d696, "truncate_inode_pages_final" },
	{ 0xea56fda, "d_alloc" },
	{ 0x2b560fbe, "__filemap_set_wb_err" },
	{ 0xca36fddf, "fscrypt_file_open" },
	{ 0xea86aa78, "generic_perform_write" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xb97783cc, "simple_nosetlease" },
	{ 0xb0537a85, "__free_pages" },
	{ 0x83f39fd2, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xea6ba692, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0b3f401, "ceph_osdc_wait_request" },
	{ 0xafe411aa, "inode_init_once" },
	{ 0x3651fe32, "folio_wait_private_2" },
	{ 0xd0eb6766, "file_write_and_wait_range" },
	{ 0x26fb722f, "ceph_osdc_new_request" },
	{ 0x72f6baf3, "compat_ptr_ioctl" },
	{ 0x861a7a70, "fscrypt_dummy_policies_equal" },
	{ 0x1bb20e30, "copy_splice_read" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aff651c, "__fscache_relinquish_volume" },
	{ 0xb20bd6e3, "ilookup5" },
	{ 0xd1a13170, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x43c4dff3, "__task_pid_nr_ns" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xeaf17c1e, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x233fdc4e, "posix_acl_create" },
	{ 0x2a471825, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x4e3e8b0f, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x947f6c5a, "generic_file_read_iter" },
	{ 0x3d8d4e2f, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x1a6bfd37, "set_cached_acl" },
	{ 0x7659f8bb, "simple_attr_release" },
	{ 0x62585cc9, "ceph_auth_handle_svc_reply_more" },
	{ 0xcb7bc8aa, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x91ab3ab0, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0129bc8, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x664098dc, "wait_on_page_writeback" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xce2f711a, "__fscrypt_prepare_rename" },
	{ 0x793e18f2, "fscrypt_encrypt_block_inplace" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd0a4fdbd, "file_update_time" },
	{ 0x7dbf59e1, "fscrypt_ioctl_set_policy" },
	{ 0x42219bda, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0xf6a1c244, "kmem_cache_free" },
	{ 0xe16a5b94, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0xf11419b5, "ceph_auth_add_authorizer_challenge" },
	{ 0x354b6bf4, "d_move" },
	{ 0xfed6aff5, "seq_putc" },
	{ 0x76b84d9d, "from_kgid" },
	{ 0xb9a8902e, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xfb5d205e, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3032eac8, "__fscrypt_encrypt_symlink" },
	{ 0xb537321a, "ceph_osdc_abort_requests" },
	{ 0x33de1733, "ceph_zero_page_vector_range" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf7f60d6c, "param_set_bool" },
	{ 0x98dd60e2, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xabebb5f7, "file_remove_privs" },
	{ 0xb1b53b8c, "__fscrypt_prepare_link" },
	{ 0x48d25a86, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x67acfa37, "ceph_compare_options" },
	{ 0xc34a1844, "d_obtain_alias" },
	{ 0x91776cf3, "file_modified" },
	{ 0xc057cdd5, "posix_acl_chmod" },
	{ 0x527b2c1f, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xaceeafdd, "ceph_parse_mon_ips" },
	{ 0x6c0fc9b9, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5f41f76b, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x2832b8cd, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xd151d344, "fscrypt_fname_encrypted_size" },
	{ 0x5b31f53d, "finish_no_open" },
	{ 0x9663c576, "d_obtain_root" },
	{ 0x3bdfc3df, "fscrypt_d_revalidate" },
	{ 0xdc93617, "osd_req_op_extent_init" },
	{ 0x808f6bf9, "ceph_put_page_vector" },
	{ 0x56a6ee62, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x364e8269, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x8a736af5, "osd_req_op_init" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xdcb764ad, "memset" },
	{ 0xb1b61478, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x8797c924, "osd_req_op_extent_osd_iter" },
	{ 0xe3477d15, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0x49ce8280, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x74e50de5, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf8010850, "d_delete" },
	{ 0x852b540e, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc3b3d304, "simple_attr_read" },
	{ 0x45361d7d, "end_page_writeback" },
	{ 0x77d584ad, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x375f45d9, "osd_req_op_extent_osd_data_pages" },
	{ 0x9c93cd51, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb87ac140, "iov_iter_get_pages_alloc2" },
	{ 0xa46086a2, "ceph_osdc_sync" },
	{ 0x30209d0b, "set_page_dirty" },
	{ 0x9ff931ef, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x6208ebb4, "ceph_destroy_client" },
	{ 0x51df79c5, "seq_read" },
	{ 0xb1c46fb4, "fscrypt_free_bounce_page" },
	{ 0x3d82b4d3, "redirty_page_for_writepage" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc0afdc94, "noop_direct_IO" },
	{ 0x75005698, "__fscrypt_prepare_readdir" },
	{ 0x8de8906b, "debugfs_create_file" },
	{ 0x33d86463, "igrab" },
	{ 0x3954e9b7, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d210e1d, "__ceph_open_session" },
	{ 0xc512e51a, "set_page_writeback" },
	{ 0xcf1fed9a, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd43bcefb, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4a3c500c, "d_find_alias" },
	{ 0x160adf3f, "fscrypt_ioctl_add_key" },
	{ 0x9fa95067, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xff34a77b, "fscrypt_fname_disk_to_usr" },
	{ 0xcc3f6a7, "inode_set_ctime_current" },
	{ 0x30d20bbc, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x23767e59, "__folio_put" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x3bc6db09, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ff1b014, "fscrypt_ioctl_get_policy" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xefa68af, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x699076cc, "seq_printf" },
	{ 0xc752fac2, "ceph_monc_do_statfs" },
	{ 0x4f2d74f6, "dput" },
	{ 0xef954150, "ceph_monc_validate_auth" },
	{ 0xde9968c3, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x76f517f0, "generic_delete_inode" },
	{ 0x8d5fafbd, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xfb587e7e, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa2cbd09f, "ceph_auth_handle_svc_reply_done" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x286b2207, "set_page_dirty_lock" },
	{ 0xa925d754, "tag_pages_for_writeback" },
	{ 0xc3dc0024, "__fscache_invalidate" },
	{ 0xfba43471, "posix_acl_update_mode" },
	{ 0x9765941d, "ceph_auth_handle_bad_authorizer" },
	{ 0xd23c1d72, "ceph_monc_renew_subs" },
	{ 0x25c46447, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x1edd75f7, "__folio_lock" },
	{ 0x3594d64c, "pagecache_get_page" },
	{ 0x995123f0, "ceph_msg_put" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xebd35149, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5812acd9, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x3444ff9d, "__fscache_use_cookie" },
	{ 0x3b45cfc0, "rcuwait_wake_up" },
	{ 0xdce07034, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x40e6892a, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x33518f64, "iov_iter_xarray" },
	{ 0x293ae6f9, "__fs_parse" },
	{ 0x60b13792, "filemap_splice_read" },
	{ 0xbfd0ce87, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xf9fc6f4a, "dget_parent" },
	{ 0xce0e6884, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x50cacf27, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xb0b9c69b, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xf5179733, "osd_req_op_raw_data_in_pages" },
	{ 0xf7e15887, "fscrypt_prepare_new_inode" },
	{ 0x805fba7f, "netfs_subreq_terminated" },
	{ 0xf0f5a935, "ceph_con_init" },
	{ 0x9ed9ee3c, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbe356b19, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xa0f36e45, "fscrypt_get_symlink" },
	{ 0x9498433, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x59ce4ea7, "kmem_cache_alloc_lru" },
	{ 0xac0d4c71, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x45dd915e, "d_invalidate" },
	{ 0x40bfe683, "debugfs_create_dir" },
	{ 0xbaab7983, "__mark_inode_dirty" },
	{ 0xf4df30ae, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x53b954a2, "up_read" },
	{ 0x2e07fa02, "ceph_osdc_clear_abort_err" },
	{ 0xa57c2e22, "iov_iter_npages" },
	{ 0xbb128f6, "drop_nlink" },
	{ 0xbdf35668, "fscrypt_free_inode" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3054ef91, "fscrypt_has_permitted_context" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x1a0d23a6, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0xf6568759, "__fscache_acquire_cookie" },
	{ 0xabab62f, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xe83bf1a3, "forget_cached_acl" },
	{ 0x881c6977, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb509f98d, "fscrypt_context_for_new_inode" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "libceph,fscache,netfs");


MODULE_INFO(srcversion, "BA96646B5E2B9659BDF3159");
