#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(garp_request_join, "_gpl", "");
KSYMTAB_FUNC(garp_request_leave, "_gpl", "");
KSYMTAB_FUNC(garp_init_applicant, "_gpl", "");
KSYMTAB_FUNC(garp_uninit_applicant, "_gpl", "");
KSYMTAB_FUNC(garp_register_application, "_gpl", "");
KSYMTAB_FUNC(garp_unregister_application, "_gpl", "");

SYMBOL_CRC(garp_request_join, 0xa3e88e09, "_gpl");
SYMBOL_CRC(garp_request_leave, 0xd5f9dd9e, "_gpl");
SYMBOL_CRC(garp_init_applicant, 0x6bda0f78, "_gpl");
SYMBOL_CRC(garp_uninit_applicant, 0x22c00bf1, "_gpl");
SYMBOL_CRC(garp_register_application, 0x43cb3a0b, "_gpl");
SYMBOL_CRC(garp_unregister_application, 0xa58cb2e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x68b96d43, "stp_proto_register" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xec9e21e8, "stp_proto_unregister" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x87e34f51, "dev_mc_add" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0x9de4d71, "llc_mac_hdr_init" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0x4829a47e, "memcpy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xece784c2, "rb_first" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xa300c051, "dev_mc_del" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xdca3d00d, "param_ops_uint" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "A3A6CC3F5FD488BA3C2AD13");
