#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xc993ef9e, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x31e39f2d, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x6c10a32d, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xe43f8004, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x565a7a54, "_gpl");
SYMBOL_CRC(br_forward, 0x0b3ee433, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x3434487c, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x7c09c3ac, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x66917fbc, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x45d4ad28, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xea4211b7, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x995a2af6, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xaa0e6e28, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x6ac01340, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xeab314ac, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x8824d69b, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x9635f729, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x1904231c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xe22fc37a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x5e05b6dd, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x772184f0, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xaa58c7b8, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xca748e52, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x80ca2017, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x10daaadc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x4432002f, "dev_set_mtu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xafb9d809, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4624507d, "skb_copy_bits" },
	{ 0x3d95078d, "__nlmsg_put" },
	{ 0x5262c275, "ipv6_mc_check_mld" },
	{ 0xf7458068, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb94d486a, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa67e362e, "netdev_update_features" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d80f28a, "__traceiter_br_fdb_add" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb298a804, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x65f11eab, "__traceiter_br_fdb_update" },
	{ 0xaeae0017, "dev_uc_del" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x19568c01, "netpoll_send_skb" },
	{ 0x6ebfff64, "rtnl_link_register" },
	{ 0x8c004c2a, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc06c614, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfe59efcc, "dev_set_promiscuity" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5560bef, "unregister_netdevice_queue" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x77aed8d3, "netdev_state_change" },
	{ 0x6a176fb2, "__pskb_copy_fclone" },
	{ 0x6c9d6b46, "__dev_get_by_name" },
	{ 0xa0f46c4e, "ether_setup" },
	{ 0xe0ae6753, "netdev_err" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0x963c2101, "brioctl_set" },
	{ 0x836489f, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x6f1bec09, "arp_xmit" },
	{ 0x54f6a5a0, "__traceiter_br_mdb_full" },
	{ 0x3b003d66, "alloc_netdev_mqs" },
	{ 0x499bd6f9, "passthru_features_check" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd5b8ddae, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x809f1e2c, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x67770bd5, "__alloc_skb" },
	{ 0x83f39fd2, "kmem_cache_alloc" },
	{ 0x8f3ec79, "rtnl_set_sk_err" },
	{ 0x5b44c7d5, "skb_vlan_pop" },
	{ 0xe16d2695, "sysfs_create_link" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61514465, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f31131d, "nla_reserve_64bit" },
	{ 0x9a97c1e9, "__ip_mc_dec_group" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf602084a, "__dev_get_by_index" },
	{ 0xac2329d3, "rtnl_link_unregister" },
	{ 0xa243e341, "try_to_del_timer_sync" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0xaa34ad74, "ipv6_stub" },
	{ 0x85d824bc, "inet_confirm_addr" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbf0a1257, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xac9a01eb, "skb_vlan_untag" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2eec15d2, "rtnl_af_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x643683e4, "arp_send" },
	{ 0x2b91f15, "dev_get_by_index_rcu" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0xf238903, "__traceiter_fdb_delete" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x652032cb, "mac_pton" },
	{ 0xd8ad5c7a, "skb_push" },
	{ 0xf6a1c244, "kmem_cache_free" },
	{ 0x8b7a3cba, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x33f1e764, "netdev_upper_dev_unlink" },
	{ 0xb7645361, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9de4d71, "llc_mac_hdr_init" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa9cc2c60, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3fff2c49, "kobject_init_and_add" },
	{ 0x57440503, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x313549df, "inet_select_addr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xa0c06730, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e561b2a, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x15b110c3, "arp_create" },
	{ 0x54fea934, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x68b96d43, "stp_proto_register" },
	{ 0x16967417, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x5f66c00, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0xbeb8a810, "dev_get_tstats64" },
	{ 0x49b5ba22, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x1703076f, "ip_mc_check_igmp" },
	{ 0xffe6afee, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x64655cd3, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7787d9b2, "kobject_create_and_add" },
	{ 0xc3b02399, "skb_trim" },
	{ 0xbde8bb69, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe9bf40d6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeb7c2201, "__ip_mc_inc_group" },
	{ 0x6181048f, "netdev_walk_all_upper_dev_rcu" },
	{ 0xefd1a223, "sysfs_remove_group" },
	{ 0x5191cd6b, "__traceiter_br_fdb_external_learn_add" },
	{ 0x50a25929, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4401f4a1, "__netpoll_setup" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8379f672, "vlan_vid_add" },
	{ 0x23959e56, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x3e2fa997, "kobject_del" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x80d4ef2a, "call_netdevice_notifiers" },
	{ 0x9ff1080, "is_skb_forwardable" },
	{ 0x1d45339e, "vlan_vid_del" },
	{ 0x6326356b, "dev_set_allmulti" },
	{ 0x43157eb0, "net_ns_get_ownership" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x923d3560, "netdev_master_upper_dev_get" },
	{ 0xdc3517c3, "ipv6_dev_mc_inc" },
	{ 0xb6d2f06e, "rtnl_notify" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab1a31ea, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4d12a9d, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xad6b83af, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7aab94cf, "dst_release" },
	{ 0x291d1627, "netif_carrier_on" },
	{ 0x815b93db, "kobject_uevent" },
	{ 0xc9636611, "arp_tbl" },
	{ 0x1ff02505, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1ed82a58, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8a4d8f17, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x66529fc8, "netif_set_tso_max_size" },
	{ 0x69b5b0f6, "dev_disable_lro" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xc5e25118, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x50c4d9ad, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x47d81b2a, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x84937c7b, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb9a9a19a, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xc646c1f9, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc24201ea, "skb_ext_add" },
	{ 0xca4a886, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xec9e21e8, "stp_proto_unregister" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x3ac587e3, "neigh_lookup" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x70733b69, "kobject_put" },
	{ 0x1d3f66ec, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "6C882FED040D6E024A82A86");
