#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x7d6d0cd9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xa383553d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xd15f13c5, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xed237abf, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xa5223c5d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x484c0ed8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x3be7d66c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x502546cf, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x31d024d8, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x2388a141, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x666847cd, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xe6d771b1, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xdf175a49, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xd1ba1f2b, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x44f92c75, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x0351407a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x2898a09e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xc044cf69, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x09ff037d, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xb53aa992, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x4a1c9010, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd26a89f5, "bpf_trace_run1" },
	{ 0xd20ed9ac, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x683c88b4, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x29ace485, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xda1b77f4, "sock_create_kern" },
	{ 0x50eadd4f, "kernel_bind" },
	{ 0x4bf27c76, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f18718c, "udp_sock_create6" },
	{ 0x350d7ea6, "kernel_sock_shutdown" },
	{ 0x692f3722, "sock_release" },
	{ 0x8e0b83bd, "udp_sock_create4" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8f7095f6, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xf3b49a9f, "sockfd_lookup" },
	{ 0xe9721649, "lock_sock_nested" },
	{ 0xe296badb, "release_sock" },
	{ 0x994e0687, "fput" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xa7e06c34, "setup_udp_tunnel_sock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x93be3905, "udp_set_csum" },
	{ 0x423bb1cb, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0xb3110db8, "udp6_set_csum" },
	{ 0x12047506, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7aab94cf, "dst_release" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "AF0C00F0A96C0B873252120");
