#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x65306400, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xcb1f1ca4, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x150596b9, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xf46cefa8, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xc3634919, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x98fa79a1, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x971995b2, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x802230cb, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xf76c4ed2, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xb404e2f8, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x681d94fd, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x4acb4c11, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x27921488, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xaa7211ac, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x82331cf7, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x2484c762, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xaca1a653, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xb9fcca47, "flow_rule_alloc" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd468a69d, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x61e36c72, "neigh_xmit" },
	{ 0x54ae4f0, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe101a84a, "rhashtable_walk_enter" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1b777f1f, "pskb_expand_head" },
	{ 0x8fdab1cd, "register_pernet_subsys" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x69998e41, "dev_get_by_index" },
	{ 0x2b91f15, "dev_get_by_index_rcu" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x83ffa521, "rhashtable_walk_start_check" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x78c052b0, "flow_indr_dev_setup_offload" },
	{ 0x390775ed, "rhashtable_walk_stop" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xce4addfc, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd3b362ee, "__pskb_pull_tail" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0x75ae03e0, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x9742c520, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23959e56, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x77da6507, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8611c43a, "nf_ct_acct_add" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7aab94cf, "dst_release" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xffae3c24, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0x2d9a1601, "rhashtable_walk_exit" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "97D02A48E1EC326CD8C3660");
