#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xeae34c7a, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x4109de35, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x19ee985c, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x2f7a58ec, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x3d161e65, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x11301fc6, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x06b6de8a, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xa47d60ce, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x9350f03a, "");
SYMBOL_CRC(key_type_rxrpc, 0x77329216, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x8fea8691, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xb6a2b4ce, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xb7bcfad9, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x6b5fe895, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xf4abf122, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x7e0ab9d3, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x00528f8d, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xa62c41e9, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xdeb1b777, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6891324e, "key_alloc" },
	{ 0x3227e705, "bpf_trace_run4" },
	{ 0x4624507d, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdca3d00d, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x53c08ff1, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x76850512, "trace_raw_output_prep" },
	{ 0x8e0b83bd, "udp_sock_create4" },
	{ 0x5e0bb8ef, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x3d5025df, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4d14955, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x43b19526, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x22575910, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x45f380ef, "udpv6_sendmsg" },
	{ 0x38ac36ab, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x91cf46fa, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xff06df1b, "key_type_keyring" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd20ed9ac, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x17ccadda, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6232b3e1, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc40bb154, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xc6c6214d, "register_key_type" },
	{ 0xd05f218f, "proc_create_net_data" },
	{ 0xd7284ebb, "put_cmsg" },
	{ 0x45fc1df1, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c4254ed, "trace_event_buffer_commit" },
	{ 0xd8527f3e, "timer_reduce" },
	{ 0xfa214e, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfe6a63b5, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc28986b5, "ipv6_icmp_error" },
	{ 0xa4c9264a, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd3df5ec4, "make_kuid" },
	{ 0x1e6b8077, "ip6_route_output_flags" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x83f39fd2, "kmem_cache_alloc" },
	{ 0x25d4bc01, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xec5c30e, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xfa5c6420, "work_busy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9116fc5f, "__sock_recv_timestamp" },
	{ 0xde31500c, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x202802e6, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7568bf6c, "init_net" },
	{ 0xe99dfc5d, "skb_pull" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x86237bd5, "sock_enable_timestamps" },
	{ 0x5785df21, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6626afca, "down" },
	{ 0x1166f0b3, "bpf_trace_run5" },
	{ 0x8f7095f6, "sk_free" },
	{ 0xcf4dc9c7, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb5c3c0c8, "kfree_skb_reason" },
	{ 0x350d7ea6, "kernel_sock_shutdown" },
	{ 0x9f72b007, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf6a1c244, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa832107e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x98dd60e2, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x29ace485, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0xe9721649, "lock_sock_nested" },
	{ 0x51e7eeff, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x384fbdbd, "skb_copy_datagram_iter" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdece7ba6, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf5420a04, "sk_alloc" },
	{ 0xd26a89f5, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x79a51ca2, "__sock_recv_wifi_status" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2fddcae9, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x63cbbf43, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x50d935e0, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa512cdb4, "key_validate" },
	{ 0xa7e06c34, "setup_udp_tunnel_sock" },
	{ 0x8f30f633, "proc_remove" },
	{ 0x8f18718c, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f89d0a2, "kthread_create_on_node" },
	{  0x62b38, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbe99a582, "trace_event_buffer_reserve" },
	{ 0x70d6437b, "keyring_search" },
	{ 0xcc386cc2, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7911f87a, "request_key_tag" },
	{ 0xc6cde844, "generic_key_instantiate" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x84393451, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x699076cc, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x387256f9, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x50876a96, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7aab94cf, "dst_release" },
	{ 0xa55d05bb, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x692f3722, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5812acd9, "seq_puts" },
	{ 0x56282582, "sock_no_ioctl" },
	{ 0xbb9125b2, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xb66f244d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x55a1916a, "bpf_trace_run7" },
	{ 0xcdfc77b, "ip_icmp_error" },
	{ 0x5b990992, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x34f14ba1, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x683c88b4, "register_pernet_device" },
	{ 0xebca8d45, "skb_condense" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5e586100, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe90f5636, "kmalloc_caches" },
	{ 0xb61be37e, "kmem_cache_destroy" },
	{ 0xe296badb, "release_sock" },
	{ 0x4f472517, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1b3415b, "proc_create_net_single_write" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6401cede, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "368475B73F55A9132DBC6E1");
